/* OAuthProvider.c generated by valac 0.34.7, the Vala compiler
 * generated from OAuthProvider.vala, do not modify */

/*
 * Copyright (C) 2012 Canonical, Inc
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
 * USA.
 *
 * Authors:
 *      Alberto Mardegan <alberto.mardegan@canonical.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <pantheon-online-accounts.h>
#include <libaccounts-glib/accounts-glib.h>
#include <libgsignon-glib/signon-glib.h>
#include <stdlib.h>
#include <string.h>
#include <config.h>
#include <gio/gio.h>
#include <gee.h>


#define ONLINE_ACCOUNTS_PLUGINS_TYPE_OAUTH2 (online_accounts_plugins_oauth2_get_type ())
#define ONLINE_ACCOUNTS_PLUGINS_OAUTH2(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), ONLINE_ACCOUNTS_PLUGINS_TYPE_OAUTH2, OnlineAccountsPluginsOAuth2))
#define ONLINE_ACCOUNTS_PLUGINS_OAUTH2_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), ONLINE_ACCOUNTS_PLUGINS_TYPE_OAUTH2, OnlineAccountsPluginsOAuth2Class))
#define ONLINE_ACCOUNTS_PLUGINS_IS_OAUTH2(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), ONLINE_ACCOUNTS_PLUGINS_TYPE_OAUTH2))
#define ONLINE_ACCOUNTS_PLUGINS_IS_OAUTH2_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), ONLINE_ACCOUNTS_PLUGINS_TYPE_OAUTH2))
#define ONLINE_ACCOUNTS_PLUGINS_OAUTH2_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), ONLINE_ACCOUNTS_PLUGINS_TYPE_OAUTH2, OnlineAccountsPluginsOAuth2Class))

typedef struct _OnlineAccountsPluginsOAuth2 OnlineAccountsPluginsOAuth2;
typedef struct _OnlineAccountsPluginsOAuth2Class OnlineAccountsPluginsOAuth2Class;
typedef struct _OnlineAccountsPluginsOAuth2Private OnlineAccountsPluginsOAuth2Private;
#define _g_free0(var) (var = (g_free (var), NULL))
#define __vala_AgAuthData_free0(var) ((var == NULL) ? NULL : (var = (_vala_AgAuthData_free (var), NULL)))
#define __vala_SignonIdentityInfo_free0(var) ((var == NULL) ? NULL : (var = (_vala_SignonIdentityInfo_free (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_variant_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _OnlineAccountsPluginsOauth2AuthenticateData OnlineAccountsPluginsOauth2AuthenticateData;

struct _OnlineAccountsPluginsOAuth2 {
	OnlineAccountsAccount parent_instance;
	OnlineAccountsPluginsOAuth2Private * priv;
	AgAuthData* auth_data;
	SignonIdentityInfo* info;
};

struct _OnlineAccountsPluginsOAuth2Class {
	OnlineAccountsAccountClass parent_class;
};

struct _OnlineAccountsPluginsOAuth2Private {
	gchar* mechanism;
	SignonIdentity* identity;
	gboolean is_new;
};

struct _OnlineAccountsPluginsOauth2AuthenticateData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GSimpleAsyncResult* _async_result;
	OnlineAccountsPluginsOAuth2* self;
	SignonIdentity* identity;
	guint32 id;
	GVariant* v_id;
	guint32 _tmp0_;
	GVariant* _tmp1_;
	AgAccount* _tmp2_;
	GVariant* _tmp3_;
	GVariant* mechanism_variant;
	AgAccount* _tmp4_;
	GVariant* _tmp5_;
	GVariant* _tmp6_;
	GVariant* _tmp7_;
	const gchar* _tmp8_;
	gchar* _tmp9_;
	gboolean _tmp10_;
	gboolean _tmp11_;
	const gchar* _tmp12_;
	const gchar* _tmp13_;
	const gchar* _tmp14_;
	gchar* _tmp15_;
	gboolean _tmp16_;
	const gchar* _tmp17_;
	const gchar* _tmp18_;
	gchar* _tmp19_;
	SignonAuthSession* session;
	SignonIdentity* _tmp20_;
	SignonAuthSession* _tmp21_;
	GVariant* _tmp22_;
	SignonAuthSession* _tmp23_;
	GVariant* _tmp24_;
	GVariant* _tmp25_;
	const gchar* _tmp26_;
	GVariant* _tmp27_;
	GVariant* _tmp28_;
	gchar* access_token;
	GVariant* _tmp29_;
	GVariant* _tmp30_;
	GVariant* _tmp31_;
	gchar* _tmp32_;
	gchar* _tmp33_;
	SignonIdentityInfo* _tmp34_;
	const gchar* _tmp35_;
	GeeIterator* _provider_plugin_it;
	OnlineAccountsPluginsManager* _tmp36_;
	OnlineAccountsPluginsManager* _tmp37_;
	GeeCollection* _tmp38_;
	GeeCollection* _tmp39_;
	GeeIterator* _tmp40_;
	GeeIterator* _tmp41_;
	GeeIterator* _tmp42_;
	gboolean _tmp43_;
	OnlineAccountsProviderPlugin* provider_plugin;
	GeeIterator* _tmp44_;
	gpointer _tmp45_;
	OnlineAccountsProviderPlugin* _tmp46_;
	const gchar* _tmp47_;
	const gchar* _tmp48_;
	OnlineAccountsProviderPlugin* _tmp49_;
	const gchar* _tmp50_;
	const gchar* _tmp51_;
	AgAccount* _tmp52_;
	const gchar* _tmp53_;
	OnlineAccountsProviderPlugin* _tmp54_;
	SignonIdentity* _tmp55_;
	GError* e;
	GError* _tmp56_;
	const gchar* _tmp57_;
	GError * _inner_error_;
};


static gpointer online_accounts_plugins_oauth2_parent_class = NULL;

GType online_accounts_plugins_oauth2_get_type (void) G_GNUC_CONST;
#define ONLINE_ACCOUNTS_PLUGINS_OAUTH2_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), ONLINE_ACCOUNTS_PLUGINS_TYPE_OAUTH2, OnlineAccountsPluginsOAuth2Private))
enum  {
	ONLINE_ACCOUNTS_PLUGINS_OAUTH2_DUMMY_PROPERTY
};
static void _vala_AgAuthData_free (AgAuthData* self);
static void _vala_SignonIdentityInfo_free (SignonIdentityInfo* self);
OnlineAccountsPluginsOAuth2* online_accounts_plugins_oauth2_new (AgAccount* account, gboolean is_new);
OnlineAccountsPluginsOAuth2* online_accounts_plugins_oauth2_construct (GType object_type, AgAccount* account, gboolean is_new);
static void online_accounts_plugins_oauth2_real_setup_authentification (OnlineAccountsAccount* base);
void online_accounts_plugins_oauth2_IdentityStoreCredentialsCallback (SignonIdentity* _self_, guint32 id, GError* _error_, OnlineAccountsPluginsOAuth2* self);
static void _online_accounts_plugins_oauth2_IdentityStoreCredentialsCallback_signon_identity_store_credentials_cb (SignonIdentity* _self_, guint32 id, GError* _error_, gpointer self);
static void online_accounts_plugins_oauth2_authenticate_data_free (gpointer _data);
void online_accounts_plugins_oauth2_authenticate (OnlineAccountsPluginsOAuth2* self, SignonIdentity* identity, guint32 id, GAsyncReadyCallback _callback_, gpointer _user_data_);
void online_accounts_plugins_oauth2_authenticate_finish (OnlineAccountsPluginsOAuth2* self, GAsyncResult* _res_);
static gboolean online_accounts_plugins_oauth2_authenticate_co (OnlineAccountsPluginsOauth2AuthenticateData* _data_);
static void online_accounts_plugins_oauth2_authenticate_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_);
void online_accounts_plugins_oauth2_IdentityInfoCallback (SignonIdentity* _self_, SignonIdentityInfo* info, GError* _error_, OnlineAccountsPluginsOAuth2* self);
static void _online_accounts_plugins_oauth2_IdentityInfoCallback_signon_identity_info_cb (SignonIdentity* _self_, SignonIdentityInfo* info, GError* _error_, gpointer self);
static void online_accounts_plugins_oauth2_finalize (GObject* obj);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);


static void _vala_AgAuthData_free (AgAuthData* self) {
#line 25 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	g_boxed_free (ag_auth_data_get_type (), self);
#line 179 "OAuthProvider.c"
}


static void _vala_SignonIdentityInfo_free (SignonIdentityInfo* self) {
#line 26 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	g_boxed_free (signon_identity_info_get_type (), self);
#line 186 "OAuthProvider.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 31 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	return self ? g_object_ref (self) : NULL;
#line 193 "OAuthProvider.c"
}


static gpointer _g_variant_ref0 (gpointer self) {
#line 35 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	return self ? g_variant_ref (self) : NULL;
#line 200 "OAuthProvider.c"
}


OnlineAccountsPluginsOAuth2* online_accounts_plugins_oauth2_construct (GType object_type, AgAccount* account, gboolean is_new) {
	OnlineAccountsPluginsOAuth2 * self = NULL;
	AgAccount* _tmp0_ = NULL;
	AgAccount* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	AgAccountService* account_service = NULL;
	AgAccount* _tmp3_ = NULL;
	AgAccount* _tmp4_ = NULL;
	AgAccountService* _tmp5_ = NULL;
	AgAccountService* _tmp6_ = NULL;
	AgAuthData* _tmp7_ = NULL;
	AgAuthData* _tmp8_ = NULL;
	GVariant* _tmp9_ = NULL;
	GVariant* _tmp10_ = NULL;
	gboolean _tmp11_ = FALSE;
#line 30 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	g_return_val_if_fail (account != NULL, NULL);
#line 30 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	self = (OnlineAccountsPluginsOAuth2*) online_accounts_account_construct (object_type);
#line 31 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp0_ = account;
#line 31 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 31 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_g_object_unref0 (((OnlineAccountsAccount*) self)->account);
#line 31 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	((OnlineAccountsAccount*) self)->account = _tmp1_;
#line 32 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp2_ = is_new;
#line 32 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	self->priv->is_new = _tmp2_;
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp3_ = account;
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp4_ = _g_object_ref0 (_tmp3_);
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp5_ = ag_account_service_new (_tmp4_, NULL);
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	account_service = _tmp5_;
#line 34 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp6_ = account_service;
#line 34 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp7_ = ag_account_service_get_auth_data (_tmp6_);
#line 34 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	__vala_AgAuthData_free0 (self->auth_data);
#line 34 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	self->auth_data = _tmp7_;
#line 35 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp8_ = self->auth_data;
#line 35 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp9_ = ag_auth_data_get_login_parameters (_tmp8_, NULL);
#line 35 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp10_ = _g_variant_ref0 (_tmp9_);
#line 35 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_g_variant_unref0 (((OnlineAccountsAccount*) self)->session_data);
#line 35 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	((OnlineAccountsAccount*) self)->session_data = _tmp10_;
#line 36 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp11_ = is_new;
#line 36 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	if (_tmp11_) {
#line 37 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		online_accounts_account_setup_authentification ((OnlineAccountsAccount*) self);
#line 267 "OAuthProvider.c"
	}
#line 30 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_g_object_unref0 (account_service);
#line 30 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	return self;
#line 273 "OAuthProvider.c"
}


OnlineAccountsPluginsOAuth2* online_accounts_plugins_oauth2_new (AgAccount* account, gboolean is_new) {
#line 30 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	return online_accounts_plugins_oauth2_construct (ONLINE_ACCOUNTS_PLUGINS_TYPE_OAUTH2, account, is_new);
#line 280 "OAuthProvider.c"
}


static void _online_accounts_plugins_oauth2_IdentityStoreCredentialsCallback_signon_identity_store_credentials_cb (SignonIdentity* _self_, guint32 id, GError* _error_, gpointer self) {
#line 51 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	online_accounts_plugins_oauth2_IdentityStoreCredentialsCallback (_self_, id, _error_, (OnlineAccountsPluginsOAuth2*) self);
#line 51 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	g_object_unref (self);
#line 289 "OAuthProvider.c"
}


static void online_accounts_plugins_oauth2_real_setup_authentification (OnlineAccountsAccount* base) {
	OnlineAccountsPluginsOAuth2 * self;
	SignonIdentityInfo* _tmp0_ = NULL;
	SignonIdentityInfo* _tmp1_ = NULL;
	AgAccount* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	SignonIdentityInfo* _tmp4_ = NULL;
	SignonIdentityInfo* _tmp5_ = NULL;
	SignonIdentityInfo* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	gchar** _tmp9_ = NULL;
	gchar** _tmp10_ = NULL;
	gint _tmp10__length1 = 0;
	SignonIdentityInfo* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	gchar* _tmp13_ = NULL;
	SignonSecurityContext* _tmp14_ = NULL;
	gchar** allowed_realms = NULL;
	GVariant* _tmp15_ = NULL;
	GVariant* _tmp16_ = NULL;
	GVariant* _tmp17_ = NULL;
	size_t _tmp18_;
	gchar** _tmp19_ = NULL;
	gchar** _tmp20_ = NULL;
	gint _tmp20__length1 = 0;
	gint allowed_realms_length1 = 0;
	gint _allowed_realms_size_ = 0;
	SignonIdentityInfo* _tmp21_ = NULL;
	SignonIdentity* _tmp22_ = NULL;
	SignonIdentity* _tmp23_ = NULL;
	SignonIdentityInfo* _tmp24_ = NULL;
#line 41 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	self = (OnlineAccountsPluginsOAuth2*) base;
#line 42 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp0_ = signon_identity_info_new ();
#line 42 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	__vala_SignonIdentityInfo_free0 (self->info);
#line 42 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	self->info = _tmp0_;
#line 43 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp1_ = self->info;
#line 43 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp2_ = ((OnlineAccountsAccount*) self)->account;
#line 43 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp3_ = ag_account_get_provider_name (_tmp2_);
#line 43 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	signon_identity_info_set_caption (_tmp1_, _tmp3_);
#line 44 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp4_ = self->info;
#line 44 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	signon_identity_info_set_identity_type (_tmp4_, SIGNON_IDENTITY_TYPE_APP);
#line 45 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp5_ = self->info;
#line 45 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	signon_identity_info_set_secret (_tmp5_, "", TRUE);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp6_ = self->info;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp7_ = g_strdup ("oauth1");
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp8_ = g_strdup ("oauth2");
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp9_ = g_new0 (gchar*, 3 + 1);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp9_[0] = _tmp7_;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp9_[1] = _tmp8_;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp9_[2] = NULL;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp10_ = _tmp9_;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp10__length1 = 3;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	signon_identity_info_set_method (_tmp6_, "oauth", _tmp10_);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp10_ = (_vala_array_free (_tmp10_, _tmp10__length1, (GDestroyNotify) g_free), NULL);
#line 47 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp11_ = self->info;
#line 47 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp12_ = g_strdup_printf ("%s/bin/switchboard", CMAKE_INSTALL_PREFIX);
#line 47 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp13_ = _tmp12_;
#line 47 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp14_ = signon_security_context_new_from_values (_tmp13_, "*");
#line 47 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	signon_identity_info_access_control_list_append (_tmp11_, _tmp14_);
#line 47 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_g_free0 (_tmp13_);
#line 48 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp15_ = ((OnlineAccountsAccount*) self)->session_data;
#line 48 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp16_ = g_variant_lookup_value (_tmp15_, "AllowedRealms", NULL);
#line 48 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp17_ = _tmp16_;
#line 48 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp19_ = g_variant_dup_strv (_tmp17_, &_tmp18_);
#line 48 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp20_ = _tmp19_;
#line 48 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp20__length1 = _tmp18_;
#line 48 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_g_variant_unref0 (_tmp17_);
#line 48 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	allowed_realms = _tmp20_;
#line 48 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	allowed_realms_length1 = _tmp20__length1;
#line 48 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_allowed_realms_size_ = allowed_realms_length1;
#line 49 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp21_ = self->info;
#line 49 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	signon_identity_info_set_realms (_tmp21_, allowed_realms);
#line 50 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp22_ = signon_identity_new ();
#line 50 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_g_object_unref0 (self->priv->identity);
#line 50 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	self->priv->identity = _tmp22_;
#line 51 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp23_ = self->priv->identity;
#line 51 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp24_ = self->info;
#line 51 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	signon_identity_store_credentials_with_info (_tmp23_, _tmp24_, _online_accounts_plugins_oauth2_IdentityStoreCredentialsCallback_signon_identity_store_credentials_cb, g_object_ref (self));
#line 41 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	allowed_realms = (_vala_array_free (allowed_realms, allowed_realms_length1, (GDestroyNotify) g_free), NULL);
#line 421 "OAuthProvider.c"
}


static void online_accounts_plugins_oauth2_authenticate_data_free (gpointer _data) {
	OnlineAccountsPluginsOauth2AuthenticateData* _data_;
	_data_ = _data;
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_g_object_unref0 (_data_->identity);
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_g_object_unref0 (_data_->self);
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	g_slice_free (OnlineAccountsPluginsOauth2AuthenticateData, _data_);
#line 434 "OAuthProvider.c"
}


void online_accounts_plugins_oauth2_authenticate (OnlineAccountsPluginsOAuth2* self, SignonIdentity* identity, guint32 id, GAsyncReadyCallback _callback_, gpointer _user_data_) {
	OnlineAccountsPluginsOauth2AuthenticateData* _data_;
	OnlineAccountsPluginsOAuth2* _tmp0_ = NULL;
	SignonIdentity* _tmp1_ = NULL;
	SignonIdentity* _tmp2_ = NULL;
	guint32 _tmp3_ = 0U;
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_ = g_slice_new0 (OnlineAccountsPluginsOauth2AuthenticateData);
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_async_result = g_simple_async_result_new (G_OBJECT (self), _callback_, _user_data_, online_accounts_plugins_oauth2_authenticate);
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	g_simple_async_result_set_op_res_gpointer (_data_->_async_result, _data_, online_accounts_plugins_oauth2_authenticate_data_free);
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->self = _tmp0_;
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp1_ = identity;
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_g_object_unref0 (_data_->identity);
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->identity = _tmp2_;
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp3_ = id;
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->id = _tmp3_;
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	online_accounts_plugins_oauth2_authenticate_co (_data_);
#line 468 "OAuthProvider.c"
}


void online_accounts_plugins_oauth2_authenticate_finish (OnlineAccountsPluginsOAuth2* self, GAsyncResult* _res_) {
	OnlineAccountsPluginsOauth2AuthenticateData* _data_;
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_ = g_simple_async_result_get_op_res_gpointer (G_SIMPLE_ASYNC_RESULT (_res_));
#line 476 "OAuthProvider.c"
}


static void online_accounts_plugins_oauth2_authenticate_ready (GObject* source_object, GAsyncResult* _res_, gpointer _user_data_) {
	OnlineAccountsPluginsOauth2AuthenticateData* _data_;
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_ = _user_data_;
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_source_object_ = source_object;
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_res_ = _res_;
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	online_accounts_plugins_oauth2_authenticate_co (_data_);
#line 490 "OAuthProvider.c"
}


static void _online_accounts_plugins_oauth2_IdentityInfoCallback_signon_identity_info_cb (SignonIdentity* _self_, SignonIdentityInfo* info, GError* _error_, gpointer self) {
#line 79 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	online_accounts_plugins_oauth2_IdentityInfoCallback (_self_, info, _error_, (OnlineAccountsPluginsOAuth2*) self);
#line 79 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	g_object_unref (self);
#line 499 "OAuthProvider.c"
}


static gboolean online_accounts_plugins_oauth2_authenticate_co (OnlineAccountsPluginsOauth2AuthenticateData* _data_) {
#line 54 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	switch (_data_->_state_) {
#line 54 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		case 0:
#line 508 "OAuthProvider.c"
		goto _state_0;
#line 54 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		case 1:
#line 512 "OAuthProvider.c"
		goto _state_1;
#line 54 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		case 2:
#line 516 "OAuthProvider.c"
		goto _state_2;
		default:
#line 54 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		g_assert_not_reached ();
#line 521 "OAuthProvider.c"
	}
	_state_0:
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp0_ = 0U;
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp0_ = _data_->id;
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp1_ = NULL;
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp1_ = g_variant_new_uint32 (_data_->_tmp0_);
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	g_variant_ref_sink (_data_->_tmp1_);
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->v_id = _data_->_tmp1_;
#line 56 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp2_ = NULL;
#line 56 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp2_ = ((OnlineAccountsAccount*) _data_->self)->account;
#line 56 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp3_ = NULL;
#line 56 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp3_ = _data_->v_id;
#line 56 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	ag_account_set_variant (_data_->_tmp2_, ONLINE_ACCOUNTS_ACCOUNT_gsignon_id, _data_->_tmp3_);
#line 57 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp4_ = NULL;
#line 57 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp4_ = ((OnlineAccountsAccount*) _data_->self)->account;
#line 57 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp5_ = NULL;
#line 57 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp5_ = ag_account_get_variant (_data_->_tmp4_, "auth/mechanism", NULL);
#line 57 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp6_ = NULL;
#line 57 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp6_ = _g_variant_ref0 (_data_->_tmp5_);
#line 57 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->mechanism_variant = _data_->_tmp6_;
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp7_ = NULL;
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp7_ = _data_->mechanism_variant;
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp8_ = NULL;
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp8_ = g_variant_get_string (_data_->_tmp7_, NULL);
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp9_ = NULL;
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp9_ = g_strdup (_data_->_tmp8_);
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_g_free0 (_data_->self->priv->mechanism);
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->self->priv->mechanism = _data_->_tmp9_;
#line 60 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp12_ = NULL;
#line 60 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_tmp12_ = _data_->self->priv->mechanism;
#line 60 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	if (g_strcmp0 (_data_->_tmp12_, "PLAINTEXT") == 0) {
#line 60 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp11_ = TRUE;
#line 584 "OAuthProvider.c"
	} else {
#line 60 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp13_ = NULL;
#line 60 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp13_ = _data_->self->priv->mechanism;
#line 60 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp11_ = g_strcmp0 (_data_->_tmp13_, "HMAC-SHA1") == 0;
#line 592 "OAuthProvider.c"
	}
#line 60 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	if (_data_->_tmp11_) {
#line 60 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp10_ = TRUE;
#line 598 "OAuthProvider.c"
	} else {
#line 60 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp14_ = NULL;
#line 60 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp14_ = _data_->self->priv->mechanism;
#line 60 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp10_ = g_strcmp0 (_data_->_tmp14_, "RSA-SHA1") == 0;
#line 606 "OAuthProvider.c"
	}
#line 60 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	if (_data_->_tmp10_) {
#line 61 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp15_ = NULL;
#line 61 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp15_ = g_strdup ("oauth1");
#line 61 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_g_free0 (_data_->self->priv->mechanism);
#line 61 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->self->priv->mechanism = _data_->_tmp15_;
#line 618 "OAuthProvider.c"
	} else {
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp17_ = NULL;
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp17_ = _data_->self->priv->mechanism;
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		if (g_strcmp0 (_data_->_tmp17_, "web_server") == 0) {
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_data_->_tmp16_ = TRUE;
#line 628 "OAuthProvider.c"
		} else {
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_data_->_tmp18_ = NULL;
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_data_->_tmp18_ = _data_->self->priv->mechanism;
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_data_->_tmp16_ = g_strcmp0 (_data_->_tmp18_, "user_agent") == 0;
#line 636 "OAuthProvider.c"
		}
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		if (_data_->_tmp16_) {
#line 63 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_data_->_tmp19_ = NULL;
#line 63 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_data_->_tmp19_ = g_strdup ("oauth2");
#line 63 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_g_free0 (_data_->self->priv->mechanism);
#line 63 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_data_->self->priv->mechanism = _data_->_tmp19_;
#line 648 "OAuthProvider.c"
		}
	}
	{
#line 67 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp20_ = NULL;
#line 67 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp20_ = _data_->identity;
#line 67 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp21_ = NULL;
#line 67 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp21_ = signon_identity_create_session (_data_->_tmp20_, "oauth", &_data_->_inner_error_);
#line 67 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->session = _data_->_tmp21_;
#line 67 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 664 "OAuthProvider.c"
			goto __catch0_g_error;
		}
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp23_ = NULL;
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp23_ = _data_->session;
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp24_ = NULL;
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp24_ = ((OnlineAccountsAccount*) _data_->self)->session_data;
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp25_ = NULL;
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp25_ = _g_variant_ref0 (_data_->_tmp24_);
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp26_ = NULL;
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp26_ = _data_->self->priv->mechanism;
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_state_ = 1;
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		signon_auth_session_process_async (_data_->_tmp23_, _data_->_tmp25_, _data_->_tmp26_, NULL, online_accounts_plugins_oauth2_authenticate_ready, _data_);
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		return FALSE;
#line 689 "OAuthProvider.c"
		_state_1:
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp27_ = NULL;
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp27_ = signon_auth_session_process_finish (_data_->_tmp23_, _data_->_res_, &_data_->_inner_error_);
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp22_ = _data_->_tmp27_;
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_g_object_unref0 (_data_->session);
#line 701 "OAuthProvider.c"
			goto __catch0_g_error;
		}
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp28_ = NULL;
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp28_ = _data_->_tmp22_;
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp22_ = NULL;
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_g_variant_unref0 (((OnlineAccountsAccount*) _data_->self)->session_result);
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		((OnlineAccountsAccount*) _data_->self)->session_result = _data_->_tmp28_;
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp29_ = NULL;
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp29_ = ((OnlineAccountsAccount*) _data_->self)->session_result;
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp30_ = NULL;
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp30_ = g_variant_lookup_value (_data_->_tmp29_, "AccessToken", NULL);
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp31_ = NULL;
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp31_ = _data_->_tmp30_;
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp32_ = NULL;
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp32_ = g_variant_dup_string (_data_->_tmp31_, NULL);
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp33_ = NULL;
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp33_ = _data_->_tmp32_;
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_g_variant_unref0 (_data_->_tmp31_);
#line 69 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->access_token = _data_->_tmp33_;
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp34_ = NULL;
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp34_ = _data_->self->info;
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp35_ = NULL;
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp35_ = _data_->access_token;
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		signon_identity_info_set_secret (_data_->_tmp34_, _data_->_tmp35_, TRUE);
#line 748 "OAuthProvider.c"
		{
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_data_->_tmp36_ = NULL;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_data_->_tmp36_ = online_accounts_plugins_manager_get_default ();
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_data_->_tmp37_ = NULL;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_data_->_tmp37_ = _data_->_tmp36_;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_data_->_tmp38_ = NULL;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_data_->_tmp38_ = online_accounts_plugins_manager_get_provider_plugins (_data_->_tmp37_);
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_data_->_tmp39_ = NULL;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_data_->_tmp39_ = _data_->_tmp38_;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_data_->_tmp40_ = NULL;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_data_->_tmp40_ = gee_iterable_iterator ((GeeIterable*) _data_->_tmp39_);
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_data_->_tmp41_ = NULL;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_data_->_tmp41_ = _data_->_tmp40_;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_g_object_unref0 (_data_->_tmp39_);
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_g_object_unref0 (_data_->_tmp37_);
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_data_->_provider_plugin_it = _data_->_tmp41_;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			while (TRUE) {
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp42_ = NULL;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp42_ = _data_->_provider_plugin_it;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp43_ = FALSE;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp43_ = gee_iterator_next (_data_->_tmp42_);
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				if (!_data_->_tmp43_) {
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
					break;
#line 794 "OAuthProvider.c"
				}
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp44_ = NULL;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp44_ = _data_->_provider_plugin_it;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp45_ = NULL;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp45_ = gee_iterator_get (_data_->_tmp44_);
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->provider_plugin = (OnlineAccountsProviderPlugin*) _data_->_tmp45_;
#line 72 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp46_ = NULL;
#line 72 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp46_ = _data_->provider_plugin;
#line 72 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp47_ = NULL;
#line 72 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp47_ = online_accounts_provider_plugin_get_plugin_name (_data_->_tmp46_);
#line 72 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp48_ = NULL;
#line 72 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp48_ = _data_->_tmp47_;
#line 72 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				if (g_strcmp0 (_data_->_tmp48_, "generic-oauth") != 0) {
#line 73 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
					_g_object_unref0 (_data_->provider_plugin);
#line 73 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
					continue;
#line 824 "OAuthProvider.c"
				}
#line 74 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp49_ = NULL;
#line 74 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp49_ = _data_->provider_plugin;
#line 74 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp50_ = NULL;
#line 74 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp50_ = online_accounts_provider_plugin_get_provider_name (_data_->_tmp49_);
#line 74 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp51_ = NULL;
#line 74 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp51_ = _data_->_tmp50_;
#line 74 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp52_ = NULL;
#line 74 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp52_ = ((OnlineAccountsAccount*) _data_->self)->account;
#line 74 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp53_ = NULL;
#line 74 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp53_ = ag_account_get_provider_name (_data_->_tmp52_);
#line 74 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				if (g_strcmp0 (_data_->_tmp51_, _data_->_tmp53_) != 0) {
#line 75 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
					_g_object_unref0 (_data_->provider_plugin);
#line 75 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
					continue;
#line 852 "OAuthProvider.c"
				}
#line 76 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp54_ = NULL;
#line 76 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_data_->_tmp54_ = _data_->provider_plugin;
#line 76 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				online_accounts_provider_plugin_get_user_name (_data_->_tmp54_, (OnlineAccountsAccount*) _data_->self);
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
				_g_object_unref0 (_data_->provider_plugin);
#line 862 "OAuthProvider.c"
			}
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
			_g_object_unref0 (_data_->_provider_plugin_it);
#line 866 "OAuthProvider.c"
		}
#line 79 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp55_ = NULL;
#line 79 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp55_ = _data_->identity;
#line 79 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		signon_identity_query_info (_data_->_tmp55_, _online_accounts_plugins_oauth2_IdentityInfoCallback_signon_identity_info_cb, g_object_ref (_data_->self));
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_g_free0 (_data_->access_token);
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_g_variant_unref0 (_data_->_tmp22_);
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_g_object_unref0 (_data_->session);
#line 880 "OAuthProvider.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->e = _data_->_inner_error_;
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_inner_error_ = NULL;
#line 81 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp56_ = NULL;
#line 81 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp56_ = _data_->e;
#line 81 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp57_ = NULL;
#line 81 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_data_->_tmp57_ = _data_->_tmp56_->message;
#line 81 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		g_critical ("OAuthProvider.vala:81: %s", _data_->_tmp57_);
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_g_error_free0 (_data_->e);
#line 901 "OAuthProvider.c"
	}
	__finally0:
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	if (G_UNLIKELY (_data_->_inner_error_ != NULL)) {
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_g_variant_unref0 (_data_->mechanism_variant);
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_g_variant_unref0 (_data_->v_id);
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error_->message, g_quark_to_string (_data_->_inner_error_->domain), _data_->_inner_error_->code);
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		g_clear_error (&_data_->_inner_error_);
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		return FALSE;
#line 916 "OAuthProvider.c"
	}
#line 84 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_data_->_state_ = 2;
#line 84 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	return FALSE;
#line 922 "OAuthProvider.c"
	_state_2:
	;
#line 54 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_g_variant_unref0 (_data_->mechanism_variant);
#line 54 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_g_variant_unref0 (_data_->v_id);
#line 54 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	if (_data_->_state_ == 0) {
#line 54 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		g_simple_async_result_complete_in_idle (_data_->_async_result);
#line 933 "OAuthProvider.c"
	} else {
#line 54 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		g_simple_async_result_complete (_data_->_async_result);
#line 937 "OAuthProvider.c"
	}
#line 54 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	g_object_unref (_data_->_async_result);
#line 54 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	return FALSE;
#line 943 "OAuthProvider.c"
}


void online_accounts_plugins_oauth2_IdentityStoreCredentialsCallback (SignonIdentity* _self_, guint32 id, GError* _error_, OnlineAccountsPluginsOAuth2* self) {
	GError* _tmp0_ = NULL;
	SignonIdentity* _tmp3_ = NULL;
	guint32 _tmp4_ = 0U;
#line 88 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	g_return_if_fail (self != NULL);
#line 88 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	g_return_if_fail (_self_ != NULL);
#line 89 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp0_ = _error_;
#line 89 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	if (_tmp0_ != NULL) {
#line 959 "OAuthProvider.c"
		GError* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
#line 90 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_tmp1_ = _error_;
#line 90 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_tmp2_ = _tmp1_->message;
#line 90 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		g_critical ("OAuthProvider.vala:90: %s", _tmp2_);
#line 91 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		return;
#line 970 "OAuthProvider.c"
	}
#line 94 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp3_ = _self_;
#line 94 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp4_ = id;
#line 94 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	online_accounts_plugins_oauth2_authenticate (self, _tmp3_, _tmp4_, NULL, NULL);
#line 978 "OAuthProvider.c"
}


void online_accounts_plugins_oauth2_IdentityInfoCallback (SignonIdentity* _self_, SignonIdentityInfo* info, GError* _error_, OnlineAccountsPluginsOAuth2* self) {
	GError* _tmp0_ = NULL;
	AgAccount* _tmp3_ = NULL;
	AgAccount* _tmp4_ = NULL;
	gboolean _tmp5_ = FALSE;
#line 98 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	g_return_if_fail (self != NULL);
#line 98 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	g_return_if_fail (_self_ != NULL);
#line 98 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	g_return_if_fail (info != NULL);
#line 99 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp0_ = _error_;
#line 99 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	if (_tmp0_ != NULL) {
#line 997 "OAuthProvider.c"
		GError* _tmp1_ = NULL;
		const gchar* _tmp2_ = NULL;
#line 100 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_tmp1_ = _error_;
#line 100 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_tmp2_ = _tmp1_->message;
#line 100 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		g_critical ("OAuthProvider.vala:100: %s", _tmp2_);
#line 101 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		return;
#line 1008 "OAuthProvider.c"
	}
#line 104 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp3_ = ((OnlineAccountsAccount*) self)->account;
#line 104 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	ag_account_set_enabled (_tmp3_, TRUE);
#line 105 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp4_ = ((OnlineAccountsAccount*) self)->account;
#line 105 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	ag_account_store_async (_tmp4_, NULL, NULL, NULL);
#line 106 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_tmp5_ = self->priv->is_new;
#line 106 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	if (_tmp5_ == TRUE) {
#line 1022 "OAuthProvider.c"
		OnlineAccountsAccountsManager* _tmp6_ = NULL;
		OnlineAccountsAccountsManager* _tmp7_ = NULL;
#line 107 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_tmp6_ = online_accounts_accounts_manager_get_default ();
#line 107 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_tmp7_ = _tmp6_;
#line 107 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		online_accounts_accounts_manager_add_account (_tmp7_, (OnlineAccountsAccount*) self);
#line 107 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		_g_object_unref0 (_tmp7_);
#line 108 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
		self->priv->is_new = FALSE;
#line 1035 "OAuthProvider.c"
	}
}


static void online_accounts_plugins_oauth2_class_init (OnlineAccountsPluginsOAuth2Class * klass) {
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	online_accounts_plugins_oauth2_parent_class = g_type_class_peek_parent (klass);
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	g_type_class_add_private (klass, sizeof (OnlineAccountsPluginsOAuth2Private));
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	((OnlineAccountsAccountClass *) klass)->setup_authentification = (void (*)(OnlineAccountsAccount*)) online_accounts_plugins_oauth2_real_setup_authentification;
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	G_OBJECT_CLASS (klass)->finalize = online_accounts_plugins_oauth2_finalize;
#line 1049 "OAuthProvider.c"
}


static void online_accounts_plugins_oauth2_instance_init (OnlineAccountsPluginsOAuth2 * self) {
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	self->priv = ONLINE_ACCOUNTS_PLUGINS_OAUTH2_GET_PRIVATE (self);
#line 28 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	self->priv->is_new = FALSE;
#line 1058 "OAuthProvider.c"
}


static void online_accounts_plugins_oauth2_finalize (GObject* obj) {
	OnlineAccountsPluginsOAuth2 * self;
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, ONLINE_ACCOUNTS_PLUGINS_TYPE_OAUTH2, OnlineAccountsPluginsOAuth2);
#line 24 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_g_free0 (self->priv->mechanism);
#line 25 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	__vala_AgAuthData_free0 (self->auth_data);
#line 26 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	__vala_SignonIdentityInfo_free0 (self->info);
#line 27 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	_g_object_unref0 (self->priv->identity);
#line 22 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/plugins/Methods/Generic-OAuth/OAuthProvider.vala"
	G_OBJECT_CLASS (online_accounts_plugins_oauth2_parent_class)->finalize (obj);
#line 1076 "OAuthProvider.c"
}


GType online_accounts_plugins_oauth2_get_type (void) {
	static volatile gsize online_accounts_plugins_oauth2_type_id__volatile = 0;
	if (g_once_init_enter (&online_accounts_plugins_oauth2_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (OnlineAccountsPluginsOAuth2Class), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) online_accounts_plugins_oauth2_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (OnlineAccountsPluginsOAuth2), 0, (GInstanceInitFunc) online_accounts_plugins_oauth2_instance_init, NULL };
		GType online_accounts_plugins_oauth2_type_id;
		online_accounts_plugins_oauth2_type_id = g_type_register_static (ONLINE_ACCOUNTS_TYPE_ACCOUNT, "OnlineAccountsPluginsOAuth2", &g_define_type_info, 0);
		g_once_init_leave (&online_accounts_plugins_oauth2_type_id__volatile, online_accounts_plugins_oauth2_type_id);
	}
	return online_accounts_plugins_oauth2_type_id__volatile;
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}



