/* MailDialog.c generated by valac 0.34.7, the Vala compiler
 * generated from MailDialog.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2013-2016 elementary LLC. (https://elementary.io)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include <gsignond/gsignond.h>
#include <glib/gi18n-lib.h>
#include <float.h>
#include <math.h>


#define ONLINE_ACCOUNTS_TYPE_DIALOG (online_accounts_dialog_get_type ())
#define ONLINE_ACCOUNTS_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialog))
#define ONLINE_ACCOUNTS_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialogClass))
#define ONLINE_ACCOUNTS_IS_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), ONLINE_ACCOUNTS_TYPE_DIALOG))
#define ONLINE_ACCOUNTS_IS_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), ONLINE_ACCOUNTS_TYPE_DIALOG))
#define ONLINE_ACCOUNTS_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialogClass))

typedef struct _OnlineAccountsDialog OnlineAccountsDialog;
typedef struct _OnlineAccountsDialogClass OnlineAccountsDialogClass;
typedef struct _OnlineAccountsDialogPrivate OnlineAccountsDialogPrivate;

#define ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG (online_accounts_mail_dialog_get_type ())
#define ONLINE_ACCOUNTS_MAIL_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG, OnlineAccountsMailDialog))
#define ONLINE_ACCOUNTS_MAIL_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG, OnlineAccountsMailDialogClass))
#define ONLINE_ACCOUNTS_IS_MAIL_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG))
#define ONLINE_ACCOUNTS_IS_MAIL_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG))
#define ONLINE_ACCOUNTS_MAIL_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG, OnlineAccountsMailDialogClass))

typedef struct _OnlineAccountsMailDialog OnlineAccountsMailDialog;
typedef struct _OnlineAccountsMailDialogClass OnlineAccountsMailDialogClass;
typedef struct _OnlineAccountsMailDialogPrivate OnlineAccountsMailDialogPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block8Data Block8Data;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_hash_table_unref0(var) ((var == NULL) ? NULL : (var = (g_hash_table_unref (var), NULL)))

struct _OnlineAccountsDialog {
	GtkGrid parent_instance;
	OnlineAccountsDialogPrivate * priv;
	GHashTable* parameters;
	gchar* request_id;
	GSignondSignonuiError error_code;
};

struct _OnlineAccountsDialogClass {
	GtkGridClass parent_class;
	GHashTable* (*get_reply) (OnlineAccountsDialog* self);
	gboolean (*set_parameters) (OnlineAccountsDialog* self, GHashTable* params);
	gboolean (*refresh_captcha) (OnlineAccountsDialog* self, const gchar* uri);
};

struct _OnlineAccountsMailDialog {
	OnlineAccountsDialog parent_instance;
	OnlineAccountsMailDialogPrivate * priv;
};

struct _OnlineAccountsMailDialogClass {
	OnlineAccountsDialogClass parent_class;
};

struct _OnlineAccountsMailDialogPrivate {
	GtkButton* cancel_button;
	GtkButton* save_button;
	GtkEntry* imap_username_entry;
	GtkEntry* imap_password_entry;
	GtkEntry* imap_server_entry;
	GtkSpinButton* imap_port_spin;
	GtkComboBoxText* imap_encryption_combobox;
	GtkEntry* smtp_username_entry;
	GtkEntry* smtp_password_entry;
	GtkCheckButton* no_credentials;
	GtkEntry* smtp_server_entry;
	GtkSpinButton* smtp_port_spin;
	GtkComboBoxText* smtp_encryption_combobox;
	GtkCheckButton* use_imap_credentials;
	gboolean imap_modified_by_user;
	gboolean imap_port_modified_by_user;
	gboolean smtp_modified_by_user;
	gboolean smtp_port_modified_by_user;
};

struct _Block8Data {
	int _ref_count_;
	OnlineAccountsMailDialog* self;
	GtkGrid* smtp_credentials;
};


static gpointer online_accounts_mail_dialog_parent_class = NULL;

GType online_accounts_dialog_get_type (void) G_GNUC_CONST;
GType online_accounts_mail_dialog_get_type (void) G_GNUC_CONST;
#define ONLINE_ACCOUNTS_MAIL_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG, OnlineAccountsMailDialogPrivate))
enum  {
	ONLINE_ACCOUNTS_MAIL_DIALOG_DUMMY_PROPERTY
};
OnlineAccountsMailDialog* online_accounts_mail_dialog_new (GHashTable* params);
OnlineAccountsMailDialog* online_accounts_mail_dialog_construct (GType object_type, GHashTable* params);
static Block8Data* block8_data_ref (Block8Data* _data8_);
static void block8_data_unref (void * _userdata_);
OnlineAccountsDialog* online_accounts_dialog_construct (GType object_type, GHashTable* parameter);
gboolean online_accounts_dialog_set_parameters (OnlineAccountsDialog* self, GHashTable* params);
static void __lambda21_ (Block8Data* _data8_);
static void online_accounts_mail_dialog_reset_ok (OnlineAccountsMailDialog* self);
static void ___lambda21__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda22_ (OnlineAccountsMailDialog* self);
static void ___lambda22__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda23_ (OnlineAccountsMailDialog* self);
static void ___lambda23__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda24_ (OnlineAccountsMailDialog* self);
static void ___lambda24__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda25_ (OnlineAccountsMailDialog* self);
static void ___lambda25__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda26_ (OnlineAccountsMailDialog* self);
static void ___lambda26__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda27_ (OnlineAccountsMailDialog* self);
static void ___lambda27__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
static void __lambda28_ (OnlineAccountsMailDialog* self);
static void ___lambda28__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda29_ (OnlineAccountsMailDialog* self);
static void ___lambda29__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda30_ (OnlineAccountsMailDialog* self);
static void ___lambda30__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda31_ (OnlineAccountsMailDialog* self);
static void ___lambda31__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda32_ (OnlineAccountsMailDialog* self);
static void ___lambda32__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
static void __lambda33_ (OnlineAccountsMailDialog* self);
static void ___lambda33__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda34_ (OnlineAccountsMailDialog* self);
static void ___lambda34__gtk_button_clicked (GtkButton* _sender, gpointer self);
static gboolean online_accounts_mail_dialog_real_refresh_captcha (OnlineAccountsDialog* base, const gchar* uri);
static gboolean online_accounts_mail_dialog_real_set_parameters (OnlineAccountsDialog* base, GHashTable* params);
static gboolean online_accounts_mail_dialog_validate_params (OnlineAccountsMailDialog* self, GHashTable* params);
static GHashTable* online_accounts_mail_dialog_real_get_reply (OnlineAccountsDialog* base);
GHashTable* online_accounts_dialog_get_reply (OnlineAccountsDialog* self);
static void online_accounts_mail_dialog_finalize (GObject* obj);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


static Block8Data* block8_data_ref (Block8Data* _data8_) {
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_atomic_int_inc (&_data8_->_ref_count_);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	return _data8_;
#line 177 "MailDialog.c"
}


static void block8_data_unref (void * _userdata_) {
	Block8Data* _data8_;
	_data8_ = (Block8Data*) _userdata_;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (g_atomic_int_dec_and_test (&_data8_->_ref_count_)) {
#line 186 "MailDialog.c"
		OnlineAccountsMailDialog* self;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		self = _data8_->self;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_g_object_unref0 (_data8_->smtp_credentials);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_g_object_unref0 (self);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		g_slice_free (Block8Data, _data8_);
#line 196 "MailDialog.c"
	}
}


static void __lambda21_ (Block8Data* _data8_) {
	OnlineAccountsMailDialog* self;
	gboolean _tmp0_ = FALSE;
	GtkCheckButton* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	GtkCheckButton* _tmp7_ = NULL;
	GtkCheckButton* _tmp8_ = NULL;
	gboolean _tmp9_ = FALSE;
	gboolean _tmp10_ = FALSE;
#line 196 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self = _data8_->self;
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp1_ = self->priv->no_credentials;
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp2_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp1_);
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp3_ = _tmp2_;
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (!_tmp3_) {
#line 221 "MailDialog.c"
		GtkCheckButton* _tmp4_ = NULL;
		gboolean _tmp5_ = FALSE;
		gboolean _tmp6_ = FALSE;
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp4_ = self->priv->use_imap_credentials;
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp5_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp4_);
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp6_ = _tmp5_;
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp0_ = !_tmp6_;
#line 233 "MailDialog.c"
	} else {
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp0_ = FALSE;
#line 237 "MailDialog.c"
	}
#line 197 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _data8_->smtp_credentials, _tmp0_);
#line 198 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp7_ = self->priv->use_imap_credentials;
#line 198 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp8_ = self->priv->no_credentials;
#line 198 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp9_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp8_);
#line 198 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp10_ = _tmp9_;
#line 198 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp7_, !_tmp10_);
#line 199 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 253 "MailDialog.c"
}


static void ___lambda21__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 196 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda21_ (self);
#line 260 "MailDialog.c"
}


static void __lambda22_ (OnlineAccountsMailDialog* self) {
#line 202 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 267 "MailDialog.c"
}


static void ___lambda22__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 202 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda22_ ((OnlineAccountsMailDialog*) self);
#line 274 "MailDialog.c"
}


static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 1376 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1376 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 294 "MailDialog.c"
}


static gchar* string_strip (const gchar* self) {
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 1207 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1208 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1208 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1209 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1209 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1210 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _result_;
#line 1210 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 317 "MailDialog.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 330 "MailDialog.c"
	{
		GRegex* regex = NULL;
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		GRegex* _tmp3_ = NULL;
		GRegex* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		GRegex* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp0_ = old;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp1_ = g_regex_escape_string (_tmp0_, -1);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_new (_tmp2_, 0, 0, &_inner_error_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp2_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		regex = _tmp4_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 361 "MailDialog.c"
				goto __catch4_g_regex_error;
			}
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 370 "MailDialog.c"
		}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp6_ = regex;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp7_ = replacement;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp8_ = g_regex_replace_literal (_tmp6_, self, (gssize) -1, 0, _tmp7_, 0, &_inner_error_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = _tmp8_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 386 "MailDialog.c"
				goto __catch4_g_regex_error;
			}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 397 "MailDialog.c"
		}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp9_ = _tmp5_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = NULL;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = _tmp9_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp5_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 411 "MailDialog.c"
	}
	goto __finally4;
	__catch4_g_regex_error:
	{
		GError* e = NULL;
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 425 "MailDialog.c"
	}
	__finally4:
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return NULL;
#line 436 "MailDialog.c"
	}
}


static void __lambda23_ (OnlineAccountsMailDialog* self) {
	GtkEntry* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->imap_username_entry;
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp2_ = _tmp1_;
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp3_ = string_contains (_tmp2_, "@");
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp3_) {
#line 456 "MailDialog.c"
		gchar* domain = NULL;
		GtkEntry* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		gchar** _tmp7_ = NULL;
		gchar** _tmp8_ = NULL;
		gchar** _tmp9_ = NULL;
		gint _tmp9__length1 = 0;
		const gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
		gint _tmp16_ = 0;
		gint _tmp17_ = 0;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp4_ = self->priv->imap_username_entry;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp5_ = gtk_entry_get_text (_tmp4_);
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp6_ = _tmp5_;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp8_ = _tmp7_ = g_strsplit (_tmp6_, "@", 2);
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp9_ = _tmp8_;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp9__length1 = _vala_array_length (_tmp7_);
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp10_ = _tmp9_[1];
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp11_ = string_strip (_tmp10_);
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp12_ = _tmp11_;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp13_ = string_replace (_tmp12_, "@", "");
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp14_ = _tmp13_;
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_g_free0 (_tmp12_);
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp9_ = (_vala_array_free (_tmp9_, _tmp9__length1, (GDestroyNotify) g_free), NULL);
#line 207 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		domain = _tmp14_;
#line 208 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp15_ = domain;
#line 208 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp16_ = strlen (_tmp15_);
#line 208 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp17_ = _tmp16_;
#line 208 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		if (_tmp17_ > 0) {
#line 509 "MailDialog.c"
			gboolean _tmp18_ = FALSE;
			gboolean _tmp23_ = FALSE;
#line 209 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp18_ = self->priv->imap_modified_by_user;
#line 209 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			if (!_tmp18_) {
#line 516 "MailDialog.c"
				GtkEntry* _tmp19_ = NULL;
				const gchar* _tmp20_ = NULL;
				gchar* _tmp21_ = NULL;
				gchar* _tmp22_ = NULL;
#line 210 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp19_ = self->priv->imap_server_entry;
#line 210 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp20_ = domain;
#line 210 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp21_ = g_strconcat ("imap.", _tmp20_, NULL);
#line 210 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp22_ = _tmp21_;
#line 210 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				gtk_entry_set_text (_tmp19_, _tmp22_);
#line 210 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_g_free0 (_tmp22_);
#line 533 "MailDialog.c"
			}
#line 213 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp23_ = self->priv->smtp_modified_by_user;
#line 213 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			if (!_tmp23_) {
#line 539 "MailDialog.c"
				GtkEntry* _tmp24_ = NULL;
				const gchar* _tmp25_ = NULL;
				gchar* _tmp26_ = NULL;
				gchar* _tmp27_ = NULL;
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp24_ = self->priv->smtp_server_entry;
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp25_ = domain;
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp26_ = g_strconcat ("smtp.", _tmp25_, NULL);
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp27_ = _tmp26_;
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				gtk_entry_set_text (_tmp24_, _tmp27_);
#line 214 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_g_free0 (_tmp27_);
#line 556 "MailDialog.c"
			}
		}
#line 206 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_g_free0 (domain);
#line 561 "MailDialog.c"
	}
#line 219 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 565 "MailDialog.c"
}


static void ___lambda23__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 205 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda23_ ((OnlineAccountsMailDialog*) self);
#line 572 "MailDialog.c"
}


static void __lambda24_ (OnlineAccountsMailDialog* self) {
#line 222 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 579 "MailDialog.c"
}


static void ___lambda24__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 222 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda24_ ((OnlineAccountsMailDialog*) self);
#line 586 "MailDialog.c"
}


static void __lambda25_ (OnlineAccountsMailDialog* self) {
	GtkEntry* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 225 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->imap_server_entry;
#line 225 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_get ((GtkWidget*) _tmp0_, "has-focus", &_tmp1_, NULL);
#line 225 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp2_ = _tmp1_;
#line 225 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp2_) {
#line 226 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		self->priv->imap_modified_by_user = TRUE;
#line 604 "MailDialog.c"
	}
#line 229 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 608 "MailDialog.c"
}


static void ___lambda25__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 224 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda25_ ((OnlineAccountsMailDialog*) self);
#line 615 "MailDialog.c"
}


static void __lambda26_ (OnlineAccountsMailDialog* self) {
	GtkSpinButton* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 233 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->imap_port_spin;
#line 233 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_get ((GtkWidget*) _tmp0_, "has-focus", &_tmp1_, NULL);
#line 233 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp2_ = _tmp1_;
#line 233 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp2_) {
#line 234 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		self->priv->imap_port_modified_by_user = TRUE;
#line 633 "MailDialog.c"
	}
#line 237 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 637 "MailDialog.c"
}


static void ___lambda26__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 232 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda26_ ((OnlineAccountsMailDialog*) self);
#line 644 "MailDialog.c"
}


static void __lambda27_ (OnlineAccountsMailDialog* self) {
	gboolean _tmp0_ = FALSE;
#line 241 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->imap_port_modified_by_user;
#line 241 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (!_tmp0_) {
#line 654 "MailDialog.c"
		GtkComboBoxText* _tmp1_ = NULL;
		gint _tmp2_ = 0;
		gint _tmp3_ = 0;
#line 242 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp1_ = self->priv->imap_encryption_combobox;
#line 242 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp2_ = gtk_combo_box_get_active ((GtkComboBox*) _tmp1_);
#line 242 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp3_ = _tmp2_;
#line 242 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		switch (_tmp3_) {
#line 242 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			case 1:
#line 668 "MailDialog.c"
			{
				GtkSpinButton* _tmp4_ = NULL;
#line 244 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp4_ = self->priv->imap_port_spin;
#line 244 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				gtk_spin_button_set_value (_tmp4_, (gdouble) 993);
#line 245 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				break;
#line 677 "MailDialog.c"
			}
#line 242 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			case 2:
#line 681 "MailDialog.c"
			{
				GtkSpinButton* _tmp5_ = NULL;
#line 247 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp5_ = self->priv->imap_port_spin;
#line 247 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				gtk_spin_button_set_value (_tmp5_, (gdouble) 143);
#line 248 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				break;
#line 690 "MailDialog.c"
			}
			default:
			{
				GtkSpinButton* _tmp6_ = NULL;
#line 250 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp6_ = self->priv->imap_port_spin;
#line 250 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				gtk_spin_button_set_value (_tmp6_, (gdouble) 143);
#line 251 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				break;
#line 701 "MailDialog.c"
			}
		}
	}
}


static void ___lambda27__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 240 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda27_ ((OnlineAccountsMailDialog*) self);
#line 711 "MailDialog.c"
}


static void __lambda28_ (OnlineAccountsMailDialog* self) {
#line 256 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 718 "MailDialog.c"
}


static void ___lambda28__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 256 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda28_ ((OnlineAccountsMailDialog*) self);
#line 725 "MailDialog.c"
}


static void __lambda29_ (OnlineAccountsMailDialog* self) {
#line 258 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 732 "MailDialog.c"
}


static void ___lambda29__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 258 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda29_ ((OnlineAccountsMailDialog*) self);
#line 739 "MailDialog.c"
}


static void __lambda30_ (OnlineAccountsMailDialog* self) {
	GtkEntry* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 261 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->smtp_server_entry;
#line 261 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_get ((GtkWidget*) _tmp0_, "has-focus", &_tmp1_, NULL);
#line 261 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp2_ = _tmp1_;
#line 261 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp2_) {
#line 262 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		self->priv->smtp_modified_by_user = TRUE;
#line 757 "MailDialog.c"
	}
#line 265 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 761 "MailDialog.c"
}


static void ___lambda30__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 260 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda30_ ((OnlineAccountsMailDialog*) self);
#line 768 "MailDialog.c"
}


static void __lambda31_ (OnlineAccountsMailDialog* self) {
	GtkSpinButton* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 269 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->smtp_port_spin;
#line 269 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_get ((GtkWidget*) _tmp0_, "has-focus", &_tmp1_, NULL);
#line 269 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp2_ = _tmp1_;
#line 269 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp2_) {
#line 270 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		self->priv->smtp_port_modified_by_user = TRUE;
#line 786 "MailDialog.c"
	}
#line 273 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 790 "MailDialog.c"
}


static void ___lambda31__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 268 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda31_ ((OnlineAccountsMailDialog*) self);
#line 797 "MailDialog.c"
}


static void __lambda32_ (OnlineAccountsMailDialog* self) {
	gboolean _tmp0_ = FALSE;
#line 277 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->smtp_port_modified_by_user;
#line 277 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (!_tmp0_) {
#line 807 "MailDialog.c"
		GtkComboBoxText* _tmp1_ = NULL;
		gint _tmp2_ = 0;
		gint _tmp3_ = 0;
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp1_ = self->priv->smtp_encryption_combobox;
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp2_ = gtk_combo_box_get_active ((GtkComboBox*) _tmp1_);
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp3_ = _tmp2_;
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		switch (_tmp3_) {
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			case 1:
#line 821 "MailDialog.c"
			{
				GtkSpinButton* _tmp4_ = NULL;
#line 280 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp4_ = self->priv->smtp_port_spin;
#line 280 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				gtk_spin_button_set_value (_tmp4_, (gdouble) 465);
#line 281 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				break;
#line 830 "MailDialog.c"
			}
#line 278 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			case 2:
#line 834 "MailDialog.c"
			{
				GtkSpinButton* _tmp5_ = NULL;
#line 283 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp5_ = self->priv->smtp_port_spin;
#line 283 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				gtk_spin_button_set_value (_tmp5_, (gdouble) 587);
#line 284 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				break;
#line 843 "MailDialog.c"
			}
			default:
			{
				GtkSpinButton* _tmp6_ = NULL;
#line 286 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				_tmp6_ = self->priv->smtp_port_spin;
#line 286 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				gtk_spin_button_set_value (_tmp6_, (gdouble) 25);
#line 287 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
				break;
#line 854 "MailDialog.c"
			}
		}
	}
}


static void ___lambda32__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 276 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda32_ ((OnlineAccountsMailDialog*) self);
#line 864 "MailDialog.c"
}


static void __lambda33_ (OnlineAccountsMailDialog* self) {
#line 292 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_emit_by_name ((OnlineAccountsDialog*) self, "finished");
#line 871 "MailDialog.c"
}


static void ___lambda33__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 292 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda33_ ((OnlineAccountsMailDialog*) self);
#line 878 "MailDialog.c"
}


static void __lambda34_ (OnlineAccountsMailDialog* self) {
#line 294 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	((OnlineAccountsDialog*) self)->error_code = SIGNONUI_ERROR_CANCELED;
#line 295 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_emit_by_name ((OnlineAccountsDialog*) self, "finished");
#line 296 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 889 "MailDialog.c"
}


static void ___lambda34__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 293 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	__lambda34_ ((OnlineAccountsMailDialog*) self);
#line 896 "MailDialog.c"
}


OnlineAccountsMailDialog* online_accounts_mail_dialog_construct (GType object_type, GHashTable* params) {
	OnlineAccountsMailDialog * self = NULL;
	Block8Data* _data8_;
	GHashTable* _tmp0_ = NULL;
	GtkGrid* main_grid = NULL;
	GtkGrid* _tmp1_ = NULL;
	GtkStyleContext* _tmp2_ = NULL;
	GtkLabel* provider_label = NULL;
	const gchar* _tmp3_ = NULL;
	GtkLabel* _tmp4_ = NULL;
	GtkStyleContext* _tmp5_ = NULL;
	GtkLabel* imap_label = NULL;
	GtkLabel* _tmp6_ = NULL;
	GtkStyleContext* _tmp7_ = NULL;
	GtkEntry* _tmp8_ = NULL;
	GtkEntry* _tmp9_ = NULL;
	const gchar* _tmp10_ = NULL;
	GtkEntry* _tmp11_ = NULL;
	GtkEntry* _tmp12_ = NULL;
	GtkEntry* _tmp13_ = NULL;
	const gchar* _tmp14_ = NULL;
	GtkEntry* _tmp15_ = NULL;
	GtkEntry* _tmp16_ = NULL;
	GtkGrid* imap_credentials = NULL;
	GtkGrid* _tmp17_ = NULL;
	GtkStyleContext* _tmp18_ = NULL;
	GtkEntry* _tmp19_ = NULL;
	GtkEntry* _tmp20_ = NULL;
	GtkEntry* _tmp21_ = NULL;
	GtkEntry* _tmp22_ = NULL;
	const gchar* _tmp23_ = NULL;
	GtkSpinButton* _tmp24_ = NULL;
	GtkSpinButton* _tmp25_ = NULL;
	GtkGrid* imap_settings_grid = NULL;
	GtkGrid* _tmp26_ = NULL;
	GtkStyleContext* _tmp27_ = NULL;
	GtkEntry* _tmp28_ = NULL;
	GtkSpinButton* _tmp29_ = NULL;
	GtkLabel* imap_encryption_label = NULL;
	const gchar* _tmp30_ = NULL;
	GtkLabel* _tmp31_ = NULL;
	GtkComboBoxText* _tmp32_ = NULL;
	GtkComboBoxText* _tmp33_ = NULL;
	GtkComboBoxText* _tmp34_ = NULL;
	const gchar* _tmp35_ = NULL;
	GtkComboBoxText* _tmp36_ = NULL;
	GtkComboBoxText* _tmp37_ = NULL;
	GtkComboBoxText* _tmp38_ = NULL;
	GtkGrid* imap_encryption_grid = NULL;
	GtkGrid* _tmp39_ = NULL;
	GtkComboBoxText* _tmp40_ = NULL;
	GtkLabel* smtp_label = NULL;
	GtkLabel* _tmp41_ = NULL;
	GtkStyleContext* _tmp42_ = NULL;
	GtkEntry* _tmp43_ = NULL;
	GtkEntry* _tmp44_ = NULL;
	const gchar* _tmp45_ = NULL;
	GtkEntry* _tmp46_ = NULL;
	GtkEntry* _tmp47_ = NULL;
	GtkEntry* _tmp48_ = NULL;
	const gchar* _tmp49_ = NULL;
	GtkEntry* _tmp50_ = NULL;
	GtkEntry* _tmp51_ = NULL;
	GtkGrid* _tmp52_ = NULL;
	GtkStyleContext* _tmp53_ = NULL;
	GtkEntry* _tmp54_ = NULL;
	GtkEntry* _tmp55_ = NULL;
	GtkEntry* _tmp56_ = NULL;
	GtkEntry* _tmp57_ = NULL;
	const gchar* _tmp58_ = NULL;
	GtkSpinButton* _tmp59_ = NULL;
	GtkSpinButton* _tmp60_ = NULL;
	GtkGrid* smtp_settings_grid = NULL;
	GtkGrid* _tmp61_ = NULL;
	GtkStyleContext* _tmp62_ = NULL;
	GtkEntry* _tmp63_ = NULL;
	GtkSpinButton* _tmp64_ = NULL;
	const gchar* _tmp65_ = NULL;
	GtkCheckButton* _tmp66_ = NULL;
	GtkCheckButton* _tmp67_ = NULL;
	GtkCheckButton* _tmp68_ = NULL;
	const gchar* _tmp69_ = NULL;
	GtkCheckButton* _tmp70_ = NULL;
	GtkLabel* smtp_encryption_label = NULL;
	const gchar* _tmp71_ = NULL;
	GtkLabel* _tmp72_ = NULL;
	GtkComboBoxText* _tmp73_ = NULL;
	GtkComboBoxText* _tmp74_ = NULL;
	GtkComboBoxText* _tmp75_ = NULL;
	const gchar* _tmp76_ = NULL;
	GtkComboBoxText* _tmp77_ = NULL;
	GtkComboBoxText* _tmp78_ = NULL;
	GtkComboBoxText* _tmp79_ = NULL;
	GtkGrid* smtp_encryption_grid = NULL;
	GtkGrid* _tmp80_ = NULL;
	GtkComboBoxText* _tmp81_ = NULL;
	const gchar* _tmp82_ = NULL;
	GtkButton* _tmp83_ = NULL;
	GtkButton* _tmp84_ = NULL;
	const gchar* _tmp85_ = NULL;
	GtkButton* _tmp86_ = NULL;
	GtkButton* _tmp87_ = NULL;
	GtkStyleContext* _tmp88_ = NULL;
	GtkButton* _tmp89_ = NULL;
	GtkButton* _tmp90_ = NULL;
	GtkGrid* save_box = NULL;
	GtkGrid* _tmp91_ = NULL;
	GtkButton* _tmp92_ = NULL;
	GtkButton* _tmp93_ = NULL;
	GtkGrid* entry_grid = NULL;
	GtkGrid* _tmp94_ = NULL;
	GtkCheckButton* _tmp95_ = NULL;
	GtkCheckButton* _tmp96_ = NULL;
	GtkScrolledWindow* scrolled = NULL;
	GtkScrolledWindow* _tmp97_ = NULL;
	GHashTable* _tmp98_ = NULL;
	GtkCheckButton* _tmp99_ = NULL;
	GtkCheckButton* _tmp100_ = NULL;
	GtkEntry* _tmp101_ = NULL;
	GtkEntry* _tmp102_ = NULL;
	GtkEntry* _tmp103_ = NULL;
	GtkSpinButton* _tmp104_ = NULL;
	GtkComboBoxText* _tmp105_ = NULL;
	GtkEntry* _tmp106_ = NULL;
	GtkEntry* _tmp107_ = NULL;
	GtkEntry* _tmp108_ = NULL;
	GtkSpinButton* _tmp109_ = NULL;
	GtkComboBoxText* _tmp110_ = NULL;
	GtkButton* _tmp111_ = NULL;
	GtkButton* _tmp112_ = NULL;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_return_val_if_fail (params != NULL, NULL);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_data8_ = g_slice_new0 (Block8Data);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_data8_->_ref_count_ = 1;
#line 47 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = params;
#line 47 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self = (OnlineAccountsMailDialog*) online_accounts_dialog_construct (object_type, _tmp0_);
#line 47 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_data8_->self = g_object_ref (self);
#line 49 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp1_ = (GtkGrid*) gtk_grid_new ();
#line 49 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp1_);
#line 49 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	main_grid = _tmp1_;
#line 50 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_set ((GtkWidget*) main_grid, "margin", 12, NULL);
#line 51 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) main_grid, GTK_ALIGN_CENTER);
#line 52 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_valign ((GtkWidget*) main_grid, GTK_ALIGN_CENTER);
#line 53 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_grid_set_column_spacing (main_grid, 12);
#line 54 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_grid_set_row_spacing (main_grid, 6);
#line 55 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) main_grid, GTK_ORIENTATION_VERTICAL);
#line 56 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp2_ = gtk_widget_get_style_context ((GtkWidget*) main_grid);
#line 56 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp2_, "login");
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp3_ = _ ("Mail Account");
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp4_ = (GtkLabel*) gtk_label_new (_tmp3_);
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp4_);
#line 58 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	provider_label = _tmp4_;
#line 59 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp5_ = gtk_widget_get_style_context ((GtkWidget*) provider_label);
#line 59 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp5_, "h1");
#line 60 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) provider_label, 24);
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp6_ = (GtkLabel*) gtk_label_new ("IMAP");
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp6_);
#line 62 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	imap_label = _tmp6_;
#line 63 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp7_ = gtk_widget_get_style_context ((GtkWidget*) imap_label);
#line 63 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp7_, "h4");
#line 64 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) imap_label, GTK_ALIGN_START);
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp8_ = (GtkEntry*) gtk_entry_new ();
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp8_);
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_username_entry);
#line 66 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->imap_username_entry = _tmp8_;
#line 67 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp9_ = self->priv->imap_username_entry;
#line 67 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp10_ = _ ("Email");
#line 67 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_entry_set_placeholder_text (_tmp9_, _tmp10_);
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp11_ = self->priv->imap_username_entry;
#line 68 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp11_, TRUE);
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp12_ = (GtkEntry*) gtk_entry_new ();
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp12_);
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_password_entry);
#line 70 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->imap_password_entry = _tmp12_;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp13_ = self->priv->imap_password_entry;
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp14_ = _ ("Password");
#line 71 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_entry_set_placeholder_text (_tmp13_, _tmp14_);
#line 72 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp15_ = self->priv->imap_password_entry;
#line 72 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_entry_set_visibility (_tmp15_, FALSE);
#line 73 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp16_ = self->priv->imap_password_entry;
#line 73 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_entry_set_input_purpose (_tmp16_, GTK_INPUT_PURPOSE_PASSWORD);
#line 75 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp17_ = (GtkGrid*) gtk_grid_new ();
#line 75 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp17_);
#line 75 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	imap_credentials = _tmp17_;
#line 76 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) imap_credentials, GTK_ORIENTATION_VERTICAL);
#line 77 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp18_ = gtk_widget_get_style_context ((GtkWidget*) imap_credentials);
#line 77 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp18_, GTK_STYLE_CLASS_LINKED);
#line 78 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp19_ = self->priv->imap_username_entry;
#line 78 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) imap_credentials, (GtkWidget*) _tmp19_);
#line 79 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp20_ = self->priv->imap_password_entry;
#line 79 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) imap_credentials, (GtkWidget*) _tmp20_);
#line 81 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp21_ = (GtkEntry*) gtk_entry_new ();
#line 81 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp21_);
#line 81 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_server_entry);
#line 81 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->imap_server_entry = _tmp21_;
#line 82 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp22_ = self->priv->imap_server_entry;
#line 82 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp23_ = _ ("Server");
#line 82 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_entry_set_placeholder_text (_tmp22_, _tmp23_);
#line 84 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp24_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 1, (gdouble) G_MAXUINT16, (gdouble) 10);
#line 84 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp24_);
#line 84 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_port_spin);
#line 84 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->imap_port_spin = _tmp24_;
#line 85 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp25_ = self->priv->imap_port_spin;
#line 85 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_spin_button_set_value (_tmp25_, (gdouble) 993);
#line 87 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp26_ = (GtkGrid*) gtk_grid_new ();
#line 87 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp26_);
#line 87 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	imap_settings_grid = _tmp26_;
#line 88 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp27_ = gtk_widget_get_style_context ((GtkWidget*) imap_settings_grid);
#line 88 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp27_, GTK_STYLE_CLASS_LINKED);
#line 89 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp28_ = self->priv->imap_server_entry;
#line 89 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) imap_settings_grid, (GtkWidget*) _tmp28_);
#line 90 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp29_ = self->priv->imap_port_spin;
#line 90 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) imap_settings_grid, (GtkWidget*) _tmp29_);
#line 92 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp30_ = _ ("Encryption:");
#line 92 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp31_ = (GtkLabel*) gtk_label_new (_tmp30_);
#line 92 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp31_);
#line 92 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	imap_encryption_label = _tmp31_;
#line 94 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp32_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 94 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp32_);
#line 94 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_encryption_combobox);
#line 94 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->imap_encryption_combobox = _tmp32_;
#line 95 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp33_ = self->priv->imap_encryption_combobox;
#line 95 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp33_, TRUE);
#line 96 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp34_ = self->priv->imap_encryption_combobox;
#line 96 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp35_ = _ ("None");
#line 96 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_combo_box_text_append (_tmp34_, "None", _tmp35_);
#line 97 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp36_ = self->priv->imap_encryption_combobox;
#line 97 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_combo_box_text_append (_tmp36_, "SSL/TLS", "SSL/TLS");
#line 98 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp37_ = self->priv->imap_encryption_combobox;
#line 98 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_combo_box_text_append (_tmp37_, "STARTTLS", "STARTTLS");
#line 99 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp38_ = self->priv->imap_encryption_combobox;
#line 99 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_combo_box_set_active ((GtkComboBox*) _tmp38_, 1);
#line 101 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp39_ = (GtkGrid*) gtk_grid_new ();
#line 101 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp39_);
#line 101 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	imap_encryption_grid = _tmp39_;
#line 102 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_grid_set_column_spacing (imap_encryption_grid, 6);
#line 103 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) imap_encryption_grid, (GtkWidget*) imap_encryption_label);
#line 104 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp40_ = self->priv->imap_encryption_combobox;
#line 104 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) imap_encryption_grid, (GtkWidget*) _tmp40_);
#line 106 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp41_ = (GtkLabel*) gtk_label_new ("SMTP");
#line 106 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp41_);
#line 106 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	smtp_label = _tmp41_;
#line 107 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp42_ = gtk_widget_get_style_context ((GtkWidget*) smtp_label);
#line 107 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp42_, "h4");
#line 108 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) smtp_label, GTK_ALIGN_START);
#line 110 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp43_ = (GtkEntry*) gtk_entry_new ();
#line 110 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp43_);
#line 110 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_username_entry);
#line 110 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->smtp_username_entry = _tmp43_;
#line 111 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp44_ = self->priv->smtp_username_entry;
#line 111 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp45_ = _ ("Email");
#line 111 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_entry_set_placeholder_text (_tmp44_, _tmp45_);
#line 112 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp46_ = self->priv->smtp_username_entry;
#line 112 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp46_, TRUE);
#line 114 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp47_ = (GtkEntry*) gtk_entry_new ();
#line 114 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp47_);
#line 114 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_password_entry);
#line 114 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->smtp_password_entry = _tmp47_;
#line 115 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp48_ = self->priv->smtp_password_entry;
#line 115 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp49_ = _ ("Password");
#line 115 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_entry_set_placeholder_text (_tmp48_, _tmp49_);
#line 116 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp50_ = self->priv->smtp_password_entry;
#line 116 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_entry_set_visibility (_tmp50_, FALSE);
#line 117 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp51_ = self->priv->smtp_password_entry;
#line 117 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_entry_set_input_purpose (_tmp51_, GTK_INPUT_PURPOSE_PASSWORD);
#line 119 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp52_ = (GtkGrid*) gtk_grid_new ();
#line 119 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp52_);
#line 119 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_data8_->smtp_credentials = _tmp52_;
#line 120 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _data8_->smtp_credentials, GTK_ORIENTATION_VERTICAL);
#line 121 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp53_ = gtk_widget_get_style_context ((GtkWidget*) _data8_->smtp_credentials);
#line 121 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp53_, GTK_STYLE_CLASS_LINKED);
#line 122 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp54_ = self->priv->smtp_username_entry;
#line 122 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) _data8_->smtp_credentials, (GtkWidget*) _tmp54_);
#line 123 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp55_ = self->priv->smtp_password_entry;
#line 123 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) _data8_->smtp_credentials, (GtkWidget*) _tmp55_);
#line 125 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp56_ = (GtkEntry*) gtk_entry_new ();
#line 125 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp56_);
#line 125 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_server_entry);
#line 125 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->smtp_server_entry = _tmp56_;
#line 126 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp57_ = self->priv->smtp_server_entry;
#line 126 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp58_ = _ ("Server");
#line 126 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_entry_set_placeholder_text (_tmp57_, _tmp58_);
#line 128 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp59_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 1, (gdouble) G_MAXUINT16, (gdouble) 10);
#line 128 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp59_);
#line 128 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_port_spin);
#line 128 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->smtp_port_spin = _tmp59_;
#line 129 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp60_ = self->priv->smtp_port_spin;
#line 129 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_spin_button_set_value (_tmp60_, (gdouble) 587);
#line 131 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp61_ = (GtkGrid*) gtk_grid_new ();
#line 131 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp61_);
#line 131 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	smtp_settings_grid = _tmp61_;
#line 132 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp62_ = gtk_widget_get_style_context ((GtkWidget*) smtp_settings_grid);
#line 132 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp62_, GTK_STYLE_CLASS_LINKED);
#line 133 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp63_ = self->priv->smtp_server_entry;
#line 133 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) smtp_settings_grid, (GtkWidget*) _tmp63_);
#line 134 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp64_ = self->priv->smtp_port_spin;
#line 134 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) smtp_settings_grid, (GtkWidget*) _tmp64_);
#line 136 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp65_ = _ ("Use IMAP Credentials");
#line 136 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp66_ = (GtkCheckButton*) gtk_check_button_new_with_label (_tmp65_);
#line 136 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp66_);
#line 136 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->use_imap_credentials);
#line 136 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->use_imap_credentials = _tmp66_;
#line 137 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp67_ = self->priv->use_imap_credentials;
#line 137 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_bind_property_with_closures ((GObject*) _tmp67_, "active", (GObject*) _data8_->smtp_credentials, "sensitive", G_BINDING_INVERT_BOOLEAN, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 138 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp68_ = self->priv->use_imap_credentials;
#line 138 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp68_, TRUE);
#line 140 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp69_ = _ ("No authentication required");
#line 140 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp70_ = (GtkCheckButton*) gtk_check_button_new_with_label (_tmp69_);
#line 140 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp70_);
#line 140 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->no_credentials);
#line 140 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->no_credentials = _tmp70_;
#line 142 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp71_ = _ ("Encryption:");
#line 142 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp72_ = (GtkLabel*) gtk_label_new (_tmp71_);
#line 142 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp72_);
#line 142 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	smtp_encryption_label = _tmp72_;
#line 144 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp73_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 144 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp73_);
#line 144 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_encryption_combobox);
#line 144 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->smtp_encryption_combobox = _tmp73_;
#line 145 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp74_ = self->priv->smtp_encryption_combobox;
#line 145 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp74_, TRUE);
#line 146 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp75_ = self->priv->smtp_encryption_combobox;
#line 146 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp76_ = _ ("None");
#line 146 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_combo_box_text_append (_tmp75_, "None", _tmp76_);
#line 147 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp77_ = self->priv->smtp_encryption_combobox;
#line 147 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_combo_box_text_append (_tmp77_, "SSL/TLS", "SSL/TLS");
#line 148 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp78_ = self->priv->smtp_encryption_combobox;
#line 148 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_combo_box_text_append (_tmp78_, "STARTTLS", "STARTTLS");
#line 149 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp79_ = self->priv->smtp_encryption_combobox;
#line 149 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_combo_box_set_active ((GtkComboBox*) _tmp79_, 2);
#line 151 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp80_ = (GtkGrid*) gtk_grid_new ();
#line 151 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp80_);
#line 151 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	smtp_encryption_grid = _tmp80_;
#line 152 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_grid_set_column_spacing (smtp_encryption_grid, 6);
#line 153 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) smtp_encryption_grid, (GtkWidget*) smtp_encryption_label);
#line 154 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp81_ = self->priv->smtp_encryption_combobox;
#line 154 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) smtp_encryption_grid, (GtkWidget*) _tmp81_);
#line 156 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp82_ = _ ("Cancel");
#line 156 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp83_ = (GtkButton*) gtk_button_new_with_label (_tmp82_);
#line 156 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp83_);
#line 156 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->cancel_button);
#line 156 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->cancel_button = _tmp83_;
#line 157 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp84_ = self->priv->cancel_button;
#line 157 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp84_, TRUE);
#line 159 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp85_ = _ ("Log In");
#line 159 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp86_ = (GtkButton*) gtk_button_new_with_label (_tmp85_);
#line 159 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp86_);
#line 159 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->save_button);
#line 159 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->save_button = _tmp86_;
#line 160 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp87_ = self->priv->save_button;
#line 160 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp88_ = gtk_widget_get_style_context ((GtkWidget*) _tmp87_);
#line 160 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_style_context_add_class (_tmp88_, GTK_STYLE_CLASS_SUGGESTED_ACTION);
#line 161 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp89_ = self->priv->save_button;
#line 161 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp89_, TRUE);
#line 162 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp90_ = self->priv->save_button;
#line 162 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp90_, FALSE);
#line 164 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp91_ = (GtkGrid*) gtk_grid_new ();
#line 164 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp91_);
#line 164 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	save_box = _tmp91_;
#line 165 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_margin_top ((GtkWidget*) save_box, 12);
#line 166 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_grid_set_column_spacing (save_box, 6);
#line 167 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp92_ = self->priv->cancel_button;
#line 167 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) save_box, (GtkWidget*) _tmp92_);
#line 168 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp93_ = self->priv->save_button;
#line 168 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) save_box, (GtkWidget*) _tmp93_);
#line 170 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp94_ = (GtkGrid*) gtk_grid_new ();
#line 170 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp94_);
#line 170 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	entry_grid = _tmp94_;
#line 171 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_set ((GtkWidget*) entry_grid, "expand", TRUE, NULL);
#line 172 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_grid_set_row_spacing (entry_grid, 6);
#line 173 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) entry_grid, GTK_ORIENTATION_VERTICAL);
#line 174 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) imap_label);
#line 175 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) imap_credentials);
#line 176 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) imap_settings_grid);
#line 177 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) imap_encryption_grid);
#line 179 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) smtp_label);
#line 180 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp95_ = self->priv->no_credentials;
#line 180 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) _tmp95_);
#line 181 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) _data8_->smtp_credentials);
#line 182 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp96_ = self->priv->use_imap_credentials;
#line 182 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) _tmp96_);
#line 183 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) smtp_settings_grid);
#line 184 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) entry_grid, (GtkWidget*) smtp_encryption_grid);
#line 186 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) main_grid, (GtkWidget*) provider_label);
#line 187 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) main_grid, (GtkWidget*) entry_grid);
#line 188 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) main_grid, (GtkWidget*) save_box);
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp97_ = (GtkScrolledWindow*) gtk_scrolled_window_new (NULL, NULL);
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_object_ref_sink (_tmp97_);
#line 190 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	scrolled = _tmp97_;
#line 191 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) scrolled, (GtkWidget*) main_grid);
#line 192 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) scrolled);
#line 194 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp98_ = params;
#line 194 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_dialog_set_parameters ((OnlineAccountsDialog*) self, _tmp98_);
#line 196 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp99_ = self->priv->no_credentials;
#line 196 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_data ((GObject*) _tmp99_, "notify::active", (GCallback) ___lambda21__g_object_notify, block8_data_ref (_data8_), (GClosureNotify) block8_data_unref, 0);
#line 202 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp100_ = self->priv->use_imap_credentials;
#line 202 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp100_, "notify::active", (GCallback) ___lambda22__g_object_notify, self, 0);
#line 205 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp101_ = self->priv->imap_username_entry;
#line 205 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp101_, "notify::text", (GCallback) ___lambda23__g_object_notify, self, 0);
#line 222 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp102_ = self->priv->imap_password_entry;
#line 222 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp102_, "notify::text", (GCallback) ___lambda24__g_object_notify, self, 0);
#line 224 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp103_ = self->priv->imap_server_entry;
#line 224 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp103_, "notify::text", (GCallback) ___lambda25__g_object_notify, self, 0);
#line 232 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp104_ = self->priv->imap_port_spin;
#line 232 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp104_, "notify::text", (GCallback) ___lambda26__g_object_notify, self, 0);
#line 240 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp105_ = self->priv->imap_encryption_combobox;
#line 240 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GtkComboBox*) _tmp105_, "changed", (GCallback) ___lambda27__gtk_combo_box_changed, self, 0);
#line 256 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp106_ = self->priv->smtp_username_entry;
#line 256 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp106_, "notify::text", (GCallback) ___lambda28__g_object_notify, self, 0);
#line 258 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp107_ = self->priv->smtp_password_entry;
#line 258 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp107_, "notify::text", (GCallback) ___lambda29__g_object_notify, self, 0);
#line 260 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp108_ = self->priv->smtp_server_entry;
#line 260 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp108_, "notify::text", (GCallback) ___lambda30__g_object_notify, self, 0);
#line 268 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp109_ = self->priv->smtp_port_spin;
#line 268 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GObject*) _tmp109_, "notify::text", (GCallback) ___lambda31__g_object_notify, self, 0);
#line 276 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp110_ = self->priv->smtp_encryption_combobox;
#line 276 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object ((GtkComboBox*) _tmp110_, "changed", (GCallback) ___lambda32__gtk_combo_box_changed, self, 0);
#line 292 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp111_ = self->priv->save_button;
#line 292 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object (_tmp111_, "clicked", (GCallback) ___lambda33__gtk_button_clicked, self, 0);
#line 293 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp112_ = self->priv->cancel_button;
#line 293 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_signal_connect_object (_tmp112_, "clicked", (GCallback) ___lambda34__gtk_button_clicked, self, 0);
#line 299 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (scrolled);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (entry_grid);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (save_box);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (smtp_encryption_grid);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (smtp_encryption_label);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (smtp_settings_grid);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (smtp_label);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (imap_encryption_grid);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (imap_encryption_label);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (imap_settings_grid);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (imap_credentials);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (imap_label);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (provider_label);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (main_grid);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	block8_data_unref (_data8_);
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_data8_ = NULL;
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	return self;
#line 1646 "MailDialog.c"
}


OnlineAccountsMailDialog* online_accounts_mail_dialog_new (GHashTable* params) {
#line 46 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	return online_accounts_mail_dialog_construct (ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG, params);
#line 1653 "MailDialog.c"
}


static gboolean online_accounts_mail_dialog_real_refresh_captcha (OnlineAccountsDialog* base, const gchar* uri) {
	OnlineAccountsMailDialog * self;
	gboolean result = FALSE;
#line 302 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self = (OnlineAccountsMailDialog*) base;
#line 302 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_return_val_if_fail (uri != NULL, FALSE);
#line 303 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	result = TRUE;
#line 303 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	return result;
#line 1668 "MailDialog.c"
}


static gboolean online_accounts_mail_dialog_real_set_parameters (OnlineAccountsDialog* base, GHashTable* params) {
	OnlineAccountsMailDialog * self;
	gboolean result = FALSE;
	GHashTable* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	GHashTable* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	GVariant* temp_string = NULL;
	GHashTable* _tmp4_ = NULL;
	gconstpointer _tmp5_ = NULL;
	GVariant* _tmp6_ = NULL;
	GHashTable* _tmp10_ = NULL;
	gconstpointer _tmp11_ = NULL;
	GVariant* _tmp12_ = NULL;
	GHashTable* _tmp16_ = NULL;
	gconstpointer _tmp17_ = NULL;
	GVariant* _tmp18_ = NULL;
	GHashTable* _tmp22_ = NULL;
	gconstpointer _tmp23_ = NULL;
	GVariant* _tmp24_ = NULL;
	GtkEntry* _tmp28_ = NULL;
	const gchar* _tmp29_ = NULL;
	const gchar* _tmp30_ = NULL;
	gchar* _tmp31_ = NULL;
	gchar* _tmp32_ = NULL;
	gboolean _tmp33_ = FALSE;
	GHashTable* _tmp48_ = NULL;
	gconstpointer _tmp49_ = NULL;
	GVariant* _tmp50_ = NULL;
	GHashTable* _tmp54_ = NULL;
	gconstpointer _tmp55_ = NULL;
	GVariant* _tmp56_ = NULL;
	GHashTable* _tmp60_ = NULL;
	gconstpointer _tmp61_ = NULL;
	GVariant* _tmp62_ = NULL;
	GHashTable* _tmp66_ = NULL;
	gconstpointer _tmp67_ = NULL;
	GVariant* _tmp68_ = NULL;
	GHashTable* _tmp72_ = NULL;
	gconstpointer _tmp73_ = NULL;
	GVariant* _tmp74_ = NULL;
	GHashTable* _tmp78_ = NULL;
	gconstpointer _tmp79_ = NULL;
	GVariant* _tmp80_ = NULL;
#line 306 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self = (OnlineAccountsMailDialog*) base;
#line 306 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_return_val_if_fail (params != NULL, FALSE);
#line 307 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = params;
#line 307 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp1_ = ONLINE_ACCOUNTS_DIALOG_CLASS (online_accounts_mail_dialog_parent_class)->set_parameters (G_TYPE_CHECK_INSTANCE_CAST (self, ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialog), _tmp0_);
#line 307 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp1_ == FALSE) {
#line 308 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		result = FALSE;
#line 308 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		return result;
#line 1730 "MailDialog.c"
	}
#line 311 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp2_ = params;
#line 311 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp3_ = online_accounts_mail_dialog_validate_params (self, _tmp2_);
#line 311 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp3_ == FALSE) {
#line 312 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		result = FALSE;
#line 312 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		return result;
#line 1742 "MailDialog.c"
	}
#line 315 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp4_ = params;
#line 315 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp5_ = g_hash_table_lookup (_tmp4_, "ImapUser");
#line 315 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp5_;
#line 316 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp6_ = temp_string;
#line 316 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp6_ != NULL) {
#line 1754 "MailDialog.c"
		GtkEntry* _tmp7_ = NULL;
		GVariant* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp7_ = self->priv->imap_username_entry;
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp8_ = temp_string;
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp9_ = g_variant_get_string (_tmp8_, NULL);
#line 317 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_entry_set_text (_tmp7_, _tmp9_);
#line 1766 "MailDialog.c"
	}
#line 320 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp10_ = params;
#line 320 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp11_ = g_hash_table_lookup (_tmp10_, "ImapPassword");
#line 320 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp11_;
#line 321 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp12_ = temp_string;
#line 321 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp12_ != NULL) {
#line 1778 "MailDialog.c"
		GtkEntry* _tmp13_ = NULL;
		GVariant* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
#line 322 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp13_ = self->priv->imap_password_entry;
#line 322 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp14_ = temp_string;
#line 322 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp15_ = g_variant_get_string (_tmp14_, NULL);
#line 322 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_entry_set_text (_tmp13_, _tmp15_);
#line 1790 "MailDialog.c"
	}
#line 325 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp16_ = params;
#line 325 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp17_ = g_hash_table_lookup (_tmp16_, "SmtpUser");
#line 325 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp17_;
#line 326 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp18_ = temp_string;
#line 326 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp18_ != NULL) {
#line 1802 "MailDialog.c"
		GtkEntry* _tmp19_ = NULL;
		GVariant* _tmp20_ = NULL;
		const gchar* _tmp21_ = NULL;
#line 327 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp19_ = self->priv->smtp_username_entry;
#line 327 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp20_ = temp_string;
#line 327 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp21_ = g_variant_get_string (_tmp20_, NULL);
#line 327 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_entry_set_text (_tmp19_, _tmp21_);
#line 1814 "MailDialog.c"
	}
#line 330 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp22_ = params;
#line 330 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp23_ = g_hash_table_lookup (_tmp22_, "SmtpPassword");
#line 330 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp23_;
#line 331 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp24_ = temp_string;
#line 331 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp24_ != NULL) {
#line 1826 "MailDialog.c"
		GtkEntry* _tmp25_ = NULL;
		GVariant* _tmp26_ = NULL;
		const gchar* _tmp27_ = NULL;
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp25_ = self->priv->smtp_password_entry;
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp26_ = temp_string;
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp27_ = g_variant_get_string (_tmp26_, NULL);
#line 332 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_entry_set_text (_tmp25_, _tmp27_);
#line 1838 "MailDialog.c"
	}
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp28_ = self->priv->smtp_username_entry;
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp29_ = gtk_entry_get_text (_tmp28_);
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp30_ = _tmp29_;
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp31_ = string_strip (_tmp30_);
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp32_ = _tmp31_;
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp33_ = g_strcmp0 (_tmp32_, "") != 0;
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_free0 (_tmp32_);
#line 335 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp33_) {
#line 1856 "MailDialog.c"
		gboolean _tmp34_ = FALSE;
		GtkEntry* _tmp35_ = NULL;
		const gchar* _tmp36_ = NULL;
		const gchar* _tmp37_ = NULL;
		GtkEntry* _tmp38_ = NULL;
		const gchar* _tmp39_ = NULL;
		const gchar* _tmp40_ = NULL;
		GtkCheckButton* _tmp47_ = NULL;
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp35_ = self->priv->smtp_username_entry;
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp36_ = gtk_entry_get_text (_tmp35_);
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp37_ = _tmp36_;
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp38_ = self->priv->imap_username_entry;
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp39_ = gtk_entry_get_text (_tmp38_);
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp40_ = _tmp39_;
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		if (g_strcmp0 (_tmp37_, _tmp40_) == 0) {
#line 1879 "MailDialog.c"
			GtkEntry* _tmp41_ = NULL;
			const gchar* _tmp42_ = NULL;
			const gchar* _tmp43_ = NULL;
			GtkEntry* _tmp44_ = NULL;
			const gchar* _tmp45_ = NULL;
			const gchar* _tmp46_ = NULL;
#line 337 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp41_ = self->priv->smtp_password_entry;
#line 337 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp42_ = gtk_entry_get_text (_tmp41_);
#line 337 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp43_ = _tmp42_;
#line 337 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp44_ = self->priv->imap_password_entry;
#line 337 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp45_ = gtk_entry_get_text (_tmp44_);
#line 337 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp46_ = _tmp45_;
#line 337 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp34_ = g_strcmp0 (_tmp43_, _tmp46_) == 0;
#line 1900 "MailDialog.c"
		} else {
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp34_ = FALSE;
#line 1904 "MailDialog.c"
		}
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp47_ = self->priv->use_imap_credentials;
#line 336 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_toggle_button_set_active ((GtkToggleButton*) _tmp47_, _tmp34_);
#line 1910 "MailDialog.c"
	}
#line 340 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp48_ = params;
#line 340 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp49_ = g_hash_table_lookup (_tmp48_, "ImapServer");
#line 340 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp49_;
#line 341 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp50_ = temp_string;
#line 341 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp50_ != NULL) {
#line 1922 "MailDialog.c"
		GtkEntry* _tmp51_ = NULL;
		GVariant* _tmp52_ = NULL;
		const gchar* _tmp53_ = NULL;
#line 342 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp51_ = self->priv->imap_server_entry;
#line 342 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp52_ = temp_string;
#line 342 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp53_ = g_variant_get_string (_tmp52_, NULL);
#line 342 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_entry_set_text (_tmp51_, _tmp53_);
#line 1934 "MailDialog.c"
	}
#line 345 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp54_ = params;
#line 345 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp55_ = g_hash_table_lookup (_tmp54_, "SmtpServer");
#line 345 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp55_;
#line 346 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp56_ = temp_string;
#line 346 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp56_ != NULL) {
#line 1946 "MailDialog.c"
		GtkEntry* _tmp57_ = NULL;
		GVariant* _tmp58_ = NULL;
		const gchar* _tmp59_ = NULL;
#line 347 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp57_ = self->priv->smtp_server_entry;
#line 347 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp58_ = temp_string;
#line 347 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp59_ = g_variant_get_string (_tmp58_, NULL);
#line 347 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_entry_set_text (_tmp57_, _tmp59_);
#line 1958 "MailDialog.c"
	}
#line 350 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp60_ = params;
#line 350 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp61_ = g_hash_table_lookup (_tmp60_, "ImapPort");
#line 350 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp61_;
#line 351 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp62_ = temp_string;
#line 351 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp62_ != NULL) {
#line 1970 "MailDialog.c"
		GtkSpinButton* _tmp63_ = NULL;
		GVariant* _tmp64_ = NULL;
		guint16 _tmp65_ = 0U;
#line 352 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp63_ = self->priv->imap_port_spin;
#line 352 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp64_ = temp_string;
#line 352 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp65_ = g_variant_get_uint16 (_tmp64_);
#line 352 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_spin_button_set_value (_tmp63_, (gdouble) _tmp65_);
#line 1982 "MailDialog.c"
	}
#line 355 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp66_ = params;
#line 355 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp67_ = g_hash_table_lookup (_tmp66_, "SmtpPort");
#line 355 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp67_;
#line 356 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp68_ = temp_string;
#line 356 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp68_ != NULL) {
#line 1994 "MailDialog.c"
		GtkSpinButton* _tmp69_ = NULL;
		GVariant* _tmp70_ = NULL;
		guint16 _tmp71_ = 0U;
#line 357 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp69_ = self->priv->smtp_port_spin;
#line 357 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp70_ = temp_string;
#line 357 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp71_ = g_variant_get_uint16 (_tmp70_);
#line 357 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_spin_button_set_value (_tmp69_, (gdouble) _tmp71_);
#line 2006 "MailDialog.c"
	}
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp72_ = params;
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp73_ = g_hash_table_lookup (_tmp72_, "ImapEncryption");
#line 360 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp73_;
#line 361 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp74_ = temp_string;
#line 361 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp74_ != NULL) {
#line 2018 "MailDialog.c"
		GtkComboBoxText* _tmp75_ = NULL;
		GVariant* _tmp76_ = NULL;
		const gchar* _tmp77_ = NULL;
#line 362 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp75_ = self->priv->imap_encryption_combobox;
#line 362 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp76_ = temp_string;
#line 362 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp77_ = g_variant_get_string (_tmp76_, NULL);
#line 362 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp75_, _tmp77_);
#line 2030 "MailDialog.c"
	}
#line 365 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp78_ = params;
#line 365 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp79_ = g_hash_table_lookup (_tmp78_, "SmtpEncryption");
#line 365 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	temp_string = (GVariant*) _tmp79_;
#line 366 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp80_ = temp_string;
#line 366 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp80_ != NULL) {
#line 2042 "MailDialog.c"
		GtkComboBoxText* _tmp81_ = NULL;
		GVariant* _tmp82_ = NULL;
		const gchar* _tmp83_ = NULL;
#line 367 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp81_ = self->priv->smtp_encryption_combobox;
#line 367 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp82_ = temp_string;
#line 367 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp83_ = g_variant_get_string (_tmp82_, NULL);
#line 367 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp81_, _tmp83_);
#line 2054 "MailDialog.c"
	}
#line 370 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_reset_ok (self);
#line 372 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	result = TRUE;
#line 372 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	return result;
#line 2062 "MailDialog.c"
}


static gboolean online_accounts_mail_dialog_validate_params (OnlineAccountsMailDialog* self, GHashTable* params) {
	gboolean result = FALSE;
#line 375 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 375 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_return_val_if_fail (params != NULL, FALSE);
#line 376 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	result = TRUE;
#line 376 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	return result;
#line 2076 "MailDialog.c"
}


static GHashTable* online_accounts_mail_dialog_real_get_reply (OnlineAccountsDialog* base) {
	OnlineAccountsMailDialog * self;
	GHashTable* result = NULL;
	GHashTable* table = NULL;
	GHashTable* _tmp0_ = NULL;
	GHashTable* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	GtkEntry* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	GVariant* _tmp6_ = NULL;
	GHashTable* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	GtkEntry* _tmp9_ = NULL;
	const gchar* _tmp10_ = NULL;
	const gchar* _tmp11_ = NULL;
	GVariant* _tmp12_ = NULL;
	GtkCheckButton* _tmp13_ = NULL;
	gboolean _tmp14_ = FALSE;
	gboolean _tmp15_ = FALSE;
	GHashTable* _tmp43_ = NULL;
	gchar* _tmp44_ = NULL;
	GtkEntry* _tmp45_ = NULL;
	const gchar* _tmp46_ = NULL;
	const gchar* _tmp47_ = NULL;
	GVariant* _tmp48_ = NULL;
	GHashTable* _tmp49_ = NULL;
	gchar* _tmp50_ = NULL;
	GtkSpinButton* _tmp51_ = NULL;
	gdouble _tmp52_ = 0.0;
	gdouble _tmp53_ = 0.0;
	GVariant* _tmp54_ = NULL;
	GHashTable* _tmp55_ = NULL;
	gchar* _tmp56_ = NULL;
	GtkComboBoxText* _tmp57_ = NULL;
	const gchar* _tmp58_ = NULL;
	const gchar* _tmp59_ = NULL;
	GVariant* _tmp60_ = NULL;
	GHashTable* _tmp61_ = NULL;
	gchar* _tmp62_ = NULL;
	GtkEntry* _tmp63_ = NULL;
	const gchar* _tmp64_ = NULL;
	const gchar* _tmp65_ = NULL;
	GVariant* _tmp66_ = NULL;
	GHashTable* _tmp67_ = NULL;
	gchar* _tmp68_ = NULL;
	GtkSpinButton* _tmp69_ = NULL;
	gdouble _tmp70_ = 0.0;
	gdouble _tmp71_ = 0.0;
	GVariant* _tmp72_ = NULL;
	GHashTable* _tmp73_ = NULL;
	gchar* _tmp74_ = NULL;
	GtkComboBoxText* _tmp75_ = NULL;
	const gchar* _tmp76_ = NULL;
	const gchar* _tmp77_ = NULL;
	GVariant* _tmp78_ = NULL;
#line 379 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self = (OnlineAccountsMailDialog*) base;
#line 380 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = ONLINE_ACCOUNTS_DIALOG_CLASS (online_accounts_mail_dialog_parent_class)->get_reply (G_TYPE_CHECK_INSTANCE_CAST (self, ONLINE_ACCOUNTS_TYPE_DIALOG, OnlineAccountsDialog));
#line 380 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	table = _tmp0_;
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp1_ = table;
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp2_ = g_strdup ("ImapUser");
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp3_ = self->priv->imap_username_entry;
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp4_ = gtk_entry_get_text (_tmp3_);
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp5_ = _tmp4_;
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp6_ = g_variant_new_string (_tmp5_);
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp6_);
#line 381 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp1_, _tmp2_, _tmp6_);
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp7_ = table;
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp8_ = g_strdup ("ImapPassword");
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp9_ = self->priv->imap_password_entry;
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp10_ = gtk_entry_get_text (_tmp9_);
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp11_ = _tmp10_;
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp12_ = g_variant_new_string (_tmp11_);
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp12_);
#line 382 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp7_, _tmp8_, _tmp12_);
#line 383 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp13_ = self->priv->no_credentials;
#line 383 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp14_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp13_);
#line 383 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp15_ = _tmp14_;
#line 383 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (!_tmp15_) {
#line 2182 "MailDialog.c"
		GtkCheckButton* _tmp16_ = NULL;
		gboolean _tmp17_ = FALSE;
		gboolean _tmp18_ = FALSE;
#line 384 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp16_ = self->priv->use_imap_credentials;
#line 384 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp17_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp16_);
#line 384 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp18_ = _tmp17_;
#line 384 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		if (_tmp18_) {
#line 2194 "MailDialog.c"
			GHashTable* _tmp19_ = NULL;
			gchar* _tmp20_ = NULL;
			GtkEntry* _tmp21_ = NULL;
			const gchar* _tmp22_ = NULL;
			const gchar* _tmp23_ = NULL;
			GVariant* _tmp24_ = NULL;
			GHashTable* _tmp25_ = NULL;
			gchar* _tmp26_ = NULL;
			GtkEntry* _tmp27_ = NULL;
			const gchar* _tmp28_ = NULL;
			const gchar* _tmp29_ = NULL;
			GVariant* _tmp30_ = NULL;
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp19_ = table;
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp20_ = g_strdup ("SmtpUser");
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp21_ = self->priv->imap_username_entry;
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp22_ = gtk_entry_get_text (_tmp21_);
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp23_ = _tmp22_;
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp24_ = g_variant_new_string (_tmp23_);
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			g_variant_ref_sink (_tmp24_);
#line 385 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			g_hash_table_insert (_tmp19_, _tmp20_, _tmp24_);
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp25_ = table;
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp26_ = g_strdup ("SmtpPassword");
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp27_ = self->priv->imap_password_entry;
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp28_ = gtk_entry_get_text (_tmp27_);
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp29_ = _tmp28_;
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp30_ = g_variant_new_string (_tmp29_);
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			g_variant_ref_sink (_tmp30_);
#line 386 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			g_hash_table_insert (_tmp25_, _tmp26_, _tmp30_);
#line 2239 "MailDialog.c"
		} else {
			GHashTable* _tmp31_ = NULL;
			gchar* _tmp32_ = NULL;
			GtkEntry* _tmp33_ = NULL;
			const gchar* _tmp34_ = NULL;
			const gchar* _tmp35_ = NULL;
			GVariant* _tmp36_ = NULL;
			GHashTable* _tmp37_ = NULL;
			gchar* _tmp38_ = NULL;
			GtkEntry* _tmp39_ = NULL;
			const gchar* _tmp40_ = NULL;
			const gchar* _tmp41_ = NULL;
			GVariant* _tmp42_ = NULL;
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp31_ = table;
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp32_ = g_strdup ("SmtpUser");
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp33_ = self->priv->smtp_username_entry;
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp34_ = gtk_entry_get_text (_tmp33_);
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp35_ = _tmp34_;
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp36_ = g_variant_new_string (_tmp35_);
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			g_variant_ref_sink (_tmp36_);
#line 388 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			g_hash_table_insert (_tmp31_, _tmp32_, _tmp36_);
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp37_ = table;
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp38_ = g_strdup ("SmtpPassword");
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp39_ = self->priv->smtp_password_entry;
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp40_ = gtk_entry_get_text (_tmp39_);
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp41_ = _tmp40_;
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			_tmp42_ = g_variant_new_string (_tmp41_);
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			g_variant_ref_sink (_tmp42_);
#line 389 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
			g_hash_table_insert (_tmp37_, _tmp38_, _tmp42_);
#line 2285 "MailDialog.c"
		}
	}
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp43_ = table;
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp44_ = g_strdup ("ImapServer");
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp45_ = self->priv->imap_server_entry;
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp46_ = gtk_entry_get_text (_tmp45_);
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp47_ = _tmp46_;
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp48_ = g_variant_new_string (_tmp47_);
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp48_);
#line 393 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp43_, _tmp44_, _tmp48_);
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp49_ = table;
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp50_ = g_strdup ("ImapPort");
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp51_ = self->priv->imap_port_spin;
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp52_ = gtk_spin_button_get_value (_tmp51_);
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp53_ = _tmp52_;
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp54_ = g_variant_new_uint16 ((guint16) _tmp53_);
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp54_);
#line 394 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp49_, _tmp50_, _tmp54_);
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp55_ = table;
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp56_ = g_strdup ("ImapSecurity");
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp57_ = self->priv->imap_encryption_combobox;
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp58_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp57_);
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp59_ = _tmp58_;
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp60_ = g_variant_new_string (_tmp59_);
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp60_);
#line 395 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp55_, _tmp56_, _tmp60_);
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp61_ = table;
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp62_ = g_strdup ("SmtpServer");
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp63_ = self->priv->smtp_server_entry;
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp64_ = gtk_entry_get_text (_tmp63_);
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp65_ = _tmp64_;
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp66_ = g_variant_new_string (_tmp65_);
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp66_);
#line 396 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp61_, _tmp62_, _tmp66_);
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp67_ = table;
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp68_ = g_strdup ("SmtpPort");
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp69_ = self->priv->smtp_port_spin;
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp70_ = gtk_spin_button_get_value (_tmp69_);
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp71_ = _tmp70_;
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp72_ = g_variant_new_uint16 ((guint16) _tmp71_);
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp72_);
#line 397 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp67_, _tmp68_, _tmp72_);
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp73_ = table;
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp74_ = g_strdup ("SmtpSecurity");
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp75_ = self->priv->smtp_encryption_combobox;
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp76_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp75_);
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp77_ = _tmp76_;
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp78_ = g_variant_new_string (_tmp77_);
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_variant_ref_sink (_tmp78_);
#line 398 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_hash_table_insert (_tmp73_, _tmp74_, _tmp78_);
#line 399 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	result = table;
#line 399 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	return result;
#line 2388 "MailDialog.c"
}


static void online_accounts_mail_dialog_reset_ok (OnlineAccountsMailDialog* self) {
	gboolean state = FALSE;
	GtkEntry* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp4_ = FALSE;
	GtkEntry* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
	gint _tmp10_ = 0;
	gint _tmp11_ = 0;
	gboolean _tmp12_ = FALSE;
	GtkCheckButton* _tmp13_ = NULL;
	gboolean _tmp14_ = FALSE;
	gboolean _tmp15_ = FALSE;
	gboolean _tmp32_ = FALSE;
	GtkEntry* _tmp33_ = NULL;
	const gchar* _tmp34_ = NULL;
	const gchar* _tmp35_ = NULL;
	gchar* _tmp36_ = NULL;
	gchar* _tmp37_ = NULL;
	gint _tmp38_ = 0;
	gint _tmp39_ = 0;
	gboolean _tmp40_ = FALSE;
	GtkEntry* _tmp41_ = NULL;
	const gchar* _tmp42_ = NULL;
	const gchar* _tmp43_ = NULL;
	gchar* _tmp44_ = NULL;
	gchar* _tmp45_ = NULL;
	gint _tmp46_ = 0;
	gint _tmp47_ = 0;
	GtkButton* _tmp48_ = NULL;
	gboolean _tmp49_ = FALSE;
#line 402 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_return_if_fail (self != NULL);
#line 403 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp0_ = self->priv->imap_username_entry;
#line 403 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp1_ = gtk_entry_get_text (_tmp0_);
#line 403 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp2_ = _tmp1_;
#line 403 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp3_ = string_contains (_tmp2_, "@");
#line 403 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	state = _tmp3_;
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp4_ = state;
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp5_ = self->priv->imap_password_entry;
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp6_ = gtk_entry_get_text (_tmp5_);
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp7_ = _tmp6_;
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp8_ = string_strip (_tmp7_);
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp9_ = _tmp8_;
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp10_ = strlen (_tmp9_);
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp11_ = _tmp10_;
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	state = _tmp4_ & (_tmp11_ > 0);
#line 404 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_free0 (_tmp9_);
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp13_ = self->priv->no_credentials;
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp14_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp13_);
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp15_ = _tmp14_;
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (!_tmp15_) {
#line 2468 "MailDialog.c"
		GtkCheckButton* _tmp16_ = NULL;
		gboolean _tmp17_ = FALSE;
		gboolean _tmp18_ = FALSE;
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp16_ = self->priv->use_imap_credentials;
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp17_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp16_);
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp18_ = _tmp17_;
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp12_ = !_tmp18_;
#line 2480 "MailDialog.c"
	} else {
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp12_ = FALSE;
#line 2484 "MailDialog.c"
	}
#line 405 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	if (_tmp12_) {
#line 2488 "MailDialog.c"
		gboolean _tmp19_ = FALSE;
		GtkEntry* _tmp20_ = NULL;
		const gchar* _tmp21_ = NULL;
		const gchar* _tmp22_ = NULL;
		gboolean _tmp23_ = FALSE;
		gboolean _tmp24_ = FALSE;
		GtkEntry* _tmp25_ = NULL;
		const gchar* _tmp26_ = NULL;
		const gchar* _tmp27_ = NULL;
		gchar* _tmp28_ = NULL;
		gchar* _tmp29_ = NULL;
		gint _tmp30_ = 0;
		gint _tmp31_ = 0;
#line 406 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp19_ = state;
#line 406 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp20_ = self->priv->smtp_username_entry;
#line 406 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp21_ = gtk_entry_get_text (_tmp20_);
#line 406 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp22_ = _tmp21_;
#line 406 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp23_ = string_contains (_tmp22_, "@");
#line 406 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		state = _tmp19_ & _tmp23_;
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp24_ = state;
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp25_ = self->priv->smtp_password_entry;
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp26_ = gtk_entry_get_text (_tmp25_);
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp27_ = _tmp26_;
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp28_ = string_strip (_tmp27_);
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp29_ = _tmp28_;
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp30_ = strlen (_tmp29_);
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_tmp31_ = _tmp30_;
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		state = _tmp24_ & (_tmp31_ > 0);
#line 407 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
		_g_free0 (_tmp29_);
#line 2534 "MailDialog.c"
	}
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp32_ = state;
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp33_ = self->priv->imap_server_entry;
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp34_ = gtk_entry_get_text (_tmp33_);
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp35_ = _tmp34_;
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp36_ = string_strip (_tmp35_);
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp37_ = _tmp36_;
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp38_ = strlen (_tmp37_);
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp39_ = _tmp38_;
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	state = _tmp32_ & (_tmp39_ > 0);
#line 410 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_free0 (_tmp37_);
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp40_ = state;
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp41_ = self->priv->smtp_server_entry;
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp42_ = gtk_entry_get_text (_tmp41_);
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp43_ = _tmp42_;
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp44_ = string_strip (_tmp43_);
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp45_ = _tmp44_;
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp46_ = strlen (_tmp45_);
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp47_ = _tmp46_;
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	state = _tmp40_ & (_tmp47_ > 0);
#line 411 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_free0 (_tmp45_);
#line 412 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp48_ = self->priv->save_button;
#line 412 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_tmp49_ = state;
#line 412 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp48_, _tmp49_);
#line 2582 "MailDialog.c"
}


static void online_accounts_mail_dialog_class_init (OnlineAccountsMailDialogClass * klass) {
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	online_accounts_mail_dialog_parent_class = g_type_class_peek_parent (klass);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	g_type_class_add_private (klass, sizeof (OnlineAccountsMailDialogPrivate));
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	((OnlineAccountsDialogClass *) klass)->refresh_captcha = (gboolean (*)(OnlineAccountsDialog*, const gchar*)) online_accounts_mail_dialog_real_refresh_captcha;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	((OnlineAccountsDialogClass *) klass)->set_parameters = (gboolean (*)(OnlineAccountsDialog*, GHashTable*)) online_accounts_mail_dialog_real_set_parameters;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	((OnlineAccountsDialogClass *) klass)->get_reply = (GHashTable* (*)(OnlineAccountsDialog*)) online_accounts_mail_dialog_real_get_reply;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = online_accounts_mail_dialog_finalize;
#line 2599 "MailDialog.c"
}


static void online_accounts_mail_dialog_instance_init (OnlineAccountsMailDialog * self) {
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv = ONLINE_ACCOUNTS_MAIL_DIALOG_GET_PRIVATE (self);
#line 41 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->imap_modified_by_user = FALSE;
#line 42 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->imap_port_modified_by_user = FALSE;
#line 43 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->smtp_modified_by_user = FALSE;
#line 44 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self->priv->smtp_port_modified_by_user = FALSE;
#line 2614 "MailDialog.c"
}


static void online_accounts_mail_dialog_finalize (GObject* obj) {
	OnlineAccountsMailDialog * self;
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, ONLINE_ACCOUNTS_TYPE_MAIL_DIALOG, OnlineAccountsMailDialog);
#line 24 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->cancel_button);
#line 25 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->save_button);
#line 27 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_username_entry);
#line 28 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_password_entry);
#line 29 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_server_entry);
#line 30 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_port_spin);
#line 31 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->imap_encryption_combobox);
#line 33 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_username_entry);
#line 34 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_password_entry);
#line 35 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->no_credentials);
#line 36 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_server_entry);
#line 37 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_port_spin);
#line 38 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->smtp_encryption_combobox);
#line 39 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	_g_object_unref0 (self->priv->use_imap_credentials);
#line 23 "/builddir/build/BUILD/switchboard-plug-onlineaccounts-5a0270aa7b580304452bf95a30d7fd634a8cdd9b/src/Authentification/MailDialog.vala"
	G_OBJECT_CLASS (online_accounts_mail_dialog_parent_class)->finalize (obj);
#line 2652 "MailDialog.c"
}


GType online_accounts_mail_dialog_get_type (void) {
	static volatile gsize online_accounts_mail_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&online_accounts_mail_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (OnlineAccountsMailDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) online_accounts_mail_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (OnlineAccountsMailDialog), 0, (GInstanceInitFunc) online_accounts_mail_dialog_instance_init, NULL };
		GType online_accounts_mail_dialog_type_id;
		online_accounts_mail_dialog_type_id = g_type_register_static (ONLINE_ACCOUNTS_TYPE_DIALOG, "OnlineAccountsMailDialog", &g_define_type_info, 0);
		g_once_init_leave (&online_accounts_mail_dialog_type_id__volatile, online_accounts_mail_dialog_type_id);
	}
	return online_accounts_mail_dialog_type_id__volatile;
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



